Index: applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux
===================================================================
--- applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1428)
+++ applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1429)
@@ -21,6 +21,224 @@
 \@writefile{lot}{\select@language{czech}}
 \HyPL@Entry{1<</S/r>>}
-\HyPL@Entry{6<</S/D>>}
+\HyPL@Entry{7<</S/D>>}
 \@writefile{toc}{\contentsline {chapter}{\numberline {1}\IeC {\'U}vod}{1}{chapter.1}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
+\citation{wooldridge}
+\citation{wooldridge}
+\@writefile{toc}{\contentsline {chapter}{\numberline {2}Matematick\IeC {\'e} metody rozhodov\IeC {\'a}n\IeC {\'\i }}{3}{chapter.2}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\@writefile{toc}{\contentsline {section}{\numberline {2.1}Multiagentn\IeC {\'\i } syst\IeC {\'e}my}{3}{section.2.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.1}Historie}{3}{subsection.2.1.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.2}Agent}{3}{subsection.2.1.2}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{1}}{Agent}}{3}{definition.2.1}}
+\newlabel{de:agent01}{{2.{1}}{3}{Agent\relax }{definition.2.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.3}Druhy prost\IeC {\v r}ed\IeC {\'\i }}{4}{subsection.2.1.3}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.4}Stavy prost\IeC {\v r}ed\IeC {\'\i } a preference agent\IeC {\r u}}{4}{subsection.2.1.4}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{2}}{Uspořádání na množině všech stavů}}{4}{definition.2.2}}
+\citation{wooldridge}
+\global\def\markiidefinition{\ensuremath {\blacktriangleright }}
+\@writefile{toc}{\contentsline {section}{\numberline {2.2}V\IeC {\'y}b\IeC {\v e}r strategie podle teorie her}{5}{section.2.2}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{3}}{Dominance množiny}}{5}{definition.2.3}}
+\citation{3_i_traff_light_c}
+\global\def\markiiidefinition{\ensuremath {\blacktriangleright }}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{4}}{Množina výsledků}}{6}{definition.2.4}}
+\global\def\markivdefinition{\ensuremath {\blacktriangleright }}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{5}}{Dominance strategie}}{6}{definition.2.5}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{6}}{Nashova rovnost}}{6}{definition.2.6}}
+\newlabel{de:nash_equlibrium}{{2.{6}}{6}{Výběr strategie podle teorie her\relax }{definition.2.6}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2.3}Zp\IeC {\v e}tnovazebn\IeC {\'e} u\IeC {\v c}en\IeC {\'\i }}{6}{section.2.3}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.3.1}Markov\IeC {\r u}v rozhodvac\IeC {\'\i } proces}{6}{subsection.2.3.1}}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{7}}{Markovův rozhodovací proces}}{7}{definition.2.7}}
+\newlabel{de:markov_decision_process}{{2.{7}}{7}{Markovův rozhodvací proces\relax }{definition.2.7}{}}
+\global\def\markviidefinitioni{\ensuremath {\blacktriangleright }}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.3.2}Dynamick\IeC {\'e} programov\IeC {\'a}n\IeC {\'\i }}{7}{subsection.2.3.2}}
+\newlabel{sec:dynamic_programming}{{2.3.2}{7}{Dynamické programování\relax }{subsection.2.3.2}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{8}}{V-funkce}}{7}{definition.2.8}}
+\newlabel{de:v_function}{{2.{8}}{7}{Dynamické programování\relax }{definition.2.8}{}}
+\global\def\markviiidefinitioni{\ensuremath {\blacktriangleright }}
+\citation{dynamic_programming}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{9}}{Q-function}}{8}{definition.2.9}}
+\newlabel{de:q_function}{{2.{9}}{8}{Dynamické programování\relax }{definition.2.9}{}}
+\global\def\markixdefinition{\ensuremath {\blacktriangleright }}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{10}}{Bellmanova rovnice optimality}}{8}{definition.2.10}}
+\newlabel{de:bellman_equation_of_optimality}{{2.{10}}{8}{Dynamické programování\relax }{definition.2.10}{}}
+\global\def\markxdefinition{\ensuremath {\blacktriangleright }}
+\citation{q_learning}
+\citation{learning_to_predict}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.3.3}Zp\IeC {\v e}tnovazebn\IeC {\'e} u\IeC {\v c}en\IeC {\'\i } (Reinforcement learning)}{9}{subsection.2.3.3}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.3.3.1}Q-u\IeC {\v c}en\IeC {\'\i } (Q-learning)}{9}{subsubsection.2.3.3.1}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.3.3.2}U\IeC {\v c}en\IeC {\'\i } na z\IeC {\'a}klad\IeC {\v e} modelu (Model-based learning)}{9}{subsubsection.2.3.3.2}}
+\newlabel{sec:model_based_learning}{{2.3.3.2}{9}{Učení na základě modelu (Model-based learning)\relax }{subsubsection.2.3.3.2}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{11}}{MLM}}{9}{definition.2.11}}
+\newlabel{de:mlm}{{2.{11}}{9}{Učení na základě modelu (Model-based learning)\relax }{definition.2.11}{}}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
+\global\def\markxidefinition{\ensuremath {\blacktriangleright }}
+\@writefile{toc}{\contentsline {section}{\numberline {2.4}RMM - Rekurzivn\IeC {\'\i } modelov\IeC {\'e} metody}{10}{section.2.4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.4.1}Form\IeC {\'a}ln\IeC {\'\i } definice}{10}{subsection.2.4.1}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{12}}{Matice zisků}}{10}{definition.2.12}}
+\newlabel{de:payoff_matrix}{{2.{12}}{10}{Formální definice\relax }{definition.2.12}{}}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{13}}{Rekursivní modelová struktura}}{11}{definition.2.13}}
+\newlabel{de:rms}{{2.{13}}{11}{Formální definice\relax }{definition.2.13}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{14}}{Rekursivní model}}{11}{definition.2.14}}
+\newlabel{de:rm}{{2.{14}}{11}{Formální definice\relax }{definition.2.14}{}}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.4.2}Rozhodovac\IeC {\'\i } algoritmus}{12}{subsection.2.4.2}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{15}}{Užitečnost}}{12}{definition.2.15}}
+\newlabel{de:utility}{{2.{15}}{12}{Rozhodovací algoritmus\relax }{definition.2.15}{}}
+\global\def\markxvdefinition{\ensuremath {\blacktriangleright }}
+\citation{5_bayes_learn}
+\citation{5_bayes_learn}
+\@writefile{toc}{\contentsline {section}{\numberline {2.5}Bayesovsk\IeC {\'e} u\IeC {\v c}en\IeC {\'\i }}{13}{section.2.5}}
+\newlabel{sec:bayes}{{2.5}{13}{Bayesovské učení\relax }{section.2.5}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{16}}{Podmíněná pravděpodobnost}}{13}{definition.2.16}}
+\newlabel{de:podm_pravd}{{2.{16}}{13}{Bayesovské učení\relax }{definition.2.16}{}}
+\global\def\markxvidefinition{\ensuremath {\blacktriangleright }}
+\@writefile{thm}{\contentsline {proposition}{{Věta}{2.{1}}{Bayesova věta}}{13}{proposition.2.1}}
+\newlabel{v:bayes}{{2.{1}}{13}{Bayesovské učení\relax }{proposition.2.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.5.1}V\IeC {\v e}rohodnostn\IeC {\'\i } funkce}{13}{subsection.2.5.1}}
+\citation{5_bayes_learn}
+\citation{6_tuc_lq}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{17}}{Věrohodnostní funkce}}{14}{definition.2.17}}
+\newlabel{de:ver_fce}{{2.{17}}{14}{Věrohodnostní funkce\relax }{definition.2.17}{}}
+\global\def\markxviidefinition{\ensuremath {\blacktriangleright }}
+\@writefile{toc}{\contentsline {section}{\numberline {2.6}LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i }}{14}{section.2.6}}
+\newlabel{eq:lq_prechod}{{2.1}{14}{LQ řízení\relax }{equation.2.6.1}{}}
+\citation{6_tuc_lq}
+\citation{7_lq_methods}
+\citation{lqg_parallel}
+\newlabel{eq_lq_feedback}{{2.2}{15}{LQ řízení\relax }{equation.2.6.2}{}}
+\newlabel{eq_quadratic_criterion}{{2.3}{15}{LQ řízení\relax }{equation.2.6.3}{}}
+\newlabel{eq_riccati}{{2.4}{15}{LQ řízení\relax }{equation.2.6.4}{}}
+\newlabel{eq_riccati_2}{{2.5}{15}{LQ řízení\relax }{equation.2.6.5}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.6.1}Minimalizace krit\IeC {\'e}ria na horizontu}{15}{subsection.2.6.1}}
+\newlabel{sec:minim}{{2.6.1}{15}{Minimalizace kritéria na horizontu\relax }{subsection.2.6.1}{}}
+\newlabel{eq:J}{{2.6}{15}{Minimalizace kritéria na horizontu\relax }{equation.2.6.6}{}}
+\newlabel{eq:J_sloz}{{2.9}{15}{Minimalizace kritéria na horizontu\relax }{equation.2.6.9}{}}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\@writefile{toc}{\contentsline {chapter}{\numberline {3}Pou\IeC {\v z}it\IeC {\'\i } rozhodovac\IeC {\'\i }ch metod v \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i } dopravy}{18}{chapter.3}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\@writefile{toc}{\contentsline {section}{\numberline {3.1}Pou\IeC {\v z}it\IeC {\'\i } zp\IeC {\v e}tnovazebn\IeC {\'e}ho u\IeC {\v c}en\IeC {\'\i }}{18}{section.3.1}}
+\newlabel{sec:reinforcement_learning_usage}{{3.1}{18}{Použití zpětnovazebného učení\relax }{section.3.1}{}}
+\citation{1_rmm_bayes_learning}
+\citation{1_rmm_bayes_learning}
+\citation{4_rmm_formalization}
+\citation{1_rmm_bayes_learning}
+\@writefile{toc}{\contentsline {section}{\numberline {3.2}Pou\IeC {\v z}it\IeC {\'\i } RMM a Bayesova u\IeC {\v c}en\IeC {\'\i } v decentralizovan\IeC {\'e}m \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i } dopravy}{19}{section.3.2}}
+\newlabel{sec:rmm_bayes_pouziti}{{3.2}{19}{Použití RMM a Bayesova učení v decentralizovaném řízení dopravy\relax }{section.3.2}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3.1}{\ignorespaces T\IeC {\v r}\IeC {\'\i }\IeC {\'u}rov\IeC {\v n}ov\IeC {\'a} rekurzivn\IeC {\'\i } modelov\IeC {\'a} struktura agenta $R_1$\relax }}{20}{figure.caption.3}}
+\providecommand*\caption@xref[2]{\@setref\relax\@undefined{#1}}
+\newlabel{fig:rmm_structure}{{3.1}{20}{Tříúrovňová rekurzivní modelová struktura agenta $R_1$\relax \relax }{figure.caption.3}{}}
+\citation{6_tuc_lq}
+\@writefile{lof}{\contentsline {figure}{\numberline {3.2}{\ignorespaces V\IeC {\'y}sledky m\IeC {\v e}\IeC {\v r}en\IeC {\'\i }. M1 - RMM, M2 - pevn\IeC {\'e} cykly, M3 - "Hill-climbing" \relax }}{21}{figure.caption.4}}
+\newlabel{fig:rmm_results}{{3.2}{21}{Výsledky měření. M1 - RMM, M2 - pevné cykly, M3 - "Hill-climbing" \relax \relax }{figure.caption.4}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.2.1}Pou\IeC {\v z}it\IeC {\'\i } LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i } ve strategii TUC}{21}{subsection.3.2.1}}
+\newlabel{eq_tuc_1}{{3.1}{21}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.1}{}}
+\citation{6_tuc_lq}
+\citation{6_tuc_lq}
+\newlabel{eq:tuc_u}{{3.4}{22}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.4}{}}
+\newlabel{eq_tuc_2}{{3.5}{22}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.5}{}}
+\newlabel{eq_tuc_nom}{{3.6}{22}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.6}{}}
+\newlabel{eq_delta_g}{{3.7}{22}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.7}{}}
+\newlabel{eq_tuc_3}{{3.8}{22}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.8}{}}
+\newlabel{eq_tuc_4}{{3.9}{22}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.9}{}}
+\citation{6_tuc_lq}
+\citation{3_i_traff_light_c}
+\citation{tlc_using_sarsa}
+\citation{3_i_traff_light_c}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.2.1.1}Kvadratick\IeC {\'e} krit\IeC {\'e}rium}{23}{subsubsection.3.2.1.1}}
+\newlabel{eq_tuc_crit}{{3.10}{23}{Kvadratické kritérium\relax }{equation.3.2.10}{}}
+\newlabel{eq_tuc_feedback}{{3.11}{23}{Kvadratické kritérium\relax }{equation.3.2.11}{}}
+\newlabel{eq_tuc_feedback_2}{{3.12}{23}{Kvadratické kritérium\relax }{equation.3.2.12}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {3.3}Zhodnocen\IeC {\'\i }}{23}{section.3.3}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.3.1}Zp\IeC {\v e}tnovazebn\IeC {\'e}ho u\IeC {\v c}en\IeC {\'\i }}{23}{subsection.3.3.1}}
+\citation{4_rmm_formalization}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.3.2}RMM a Bayesova u\IeC {\v c}en\IeC {\'\i }}{24}{subsection.3.3.2}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.3.3}LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i }}{24}{subsection.3.3.3}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {4}Implementace}{25}{chapter.4}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\@writefile{toc}{\contentsline {section}{\numberline {4.1}Pou\IeC {\v z}it\IeC {\'a} metoda}{27}{section.4.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1.1}P\IeC {\v r}echodov\IeC {\'e} vztahy}{27}{subsection.4.1.1}}
+\newlabel{eq:my_trans_01}{{4.1}{27}{Přechodové vztahy\relax }{equation.4.1.1}{}}
+\newlabel{eq:my_trans_02}{{4.5}{27}{Přechodové vztahy\relax }{equation.4.1.5}{}}
+\newlabel{eq:my_trans_mat}{{4.7}{28}{Přechodové vztahy\relax }{equation.4.1.7}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1.2}Minimalizace krit\IeC {\'e}ria}{28}{subsection.4.1.2}}
+\newlabel{eq:prechod_subs_01}{{4.9}{28}{Minimalizace kritéria\relax }{equation.4.1.9}{}}
+\newlabel{eq:prechod_mat_po_subs}{{4.11}{28}{Minimalizace kritéria\relax }{equation.4.1.11}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.2.1}Implementace minimalizace}{28}{subsubsection.4.1.2.1}}
+\citation{aimsunget}
+\@writefile{toc}{\contentsline {section}{\numberline {4.2}Simulace}{30}{section.4.2}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.2.0.2}VGS API}{30}{subsubsection.4.2.0.2}}
+\newlabel{ss:vgs_api}{{4.2.0.2}{30}{VGS API\relax }{subsubsection.4.2.0.2}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.2.1}\IeC {\v R}adi\IeC {\v c}e}{31}{subsection.4.2.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.2.2}Oblast simulace}{31}{subsection.4.2.2}}
+\newlabel{ss:oblast_simulace}{{4.2.2}{31}{Oblast simulace\relax }{subsection.4.2.2}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4.1}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 601\relax }}{32}{figure.caption.5}}
+\newlabel{fig:601}{{4.1}{32}{Křižovatka 601\relax \relax }{figure.caption.5}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4.2}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 495\relax }}{32}{figure.caption.6}}
+\newlabel{fig:601}{{4.2}{32}{Křižovatka 495\relax \relax }{figure.caption.6}{}}
+\citation{6_tuc_lq}
+\@writefile{toc}{\contentsline {section}{\numberline {4.3}Popis algoritmu}{33}{section.4.3}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.4}Mo\IeC {\v z}n\IeC {\'e} vylep\IeC {\v s}en\IeC {\'\i } do budoucna}{33}{section.4.4}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.4.0.1}Model toku}{33}{subsubsection.4.4.0.1}}
+\newlabel{eq:teor_tok}{{4.12}{33}{Model toku\relax }{equation.4.4.12}{}}
+\newlabel{eq:exp_tok}{{4.13}{34}{Model toku\relax }{equation.4.4.13}{}}
+\newlabel{eq:lin_tok}{{4.16}{34}{Model toku\relax }{equation.4.4.16}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.1}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{34}{subsection.4.4.1}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{35}{chapter.5}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\@writefile{toc}{\contentsline {section}{\numberline {5.1}Sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 1}{35}{section.5.1}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.1}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{36}{figure.caption.7}}
+\newlabel{fig:tc_01_007}{{5.1}{36}{Průběh délky cyklu\relax \relax }{figure.caption.7}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.2}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h sou\IeC {\v c}tu d\IeC {\'e}lek front\relax }}{36}{figure.caption.8}}
+\newlabel{fig:qsum_01_007}{{5.2}{36}{Průběh součtu délek front\relax \relax }{figure.caption.8}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.3}{\ignorespaces Po\IeC {\v c}et zastaven\IeC {\'\i }\relax }}{37}{figure.caption.9}}
+\newlabel{fig:tc_01_007}{{5.3}{37}{Počet zastavení\relax \relax }{figure.caption.9}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.4}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'a} doba j\IeC {\'\i }zdy\relax }}{37}{figure.caption.10}}
+\newlabel{fig:qsum_01_007}{{5.4}{37}{Průměrná doba jízdy\relax \relax }{figure.caption.10}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {5.2}Sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 2}{38}{section.5.2}}
+\bibstyle{czechiso}
+\bibdata{Bibl/bibl}
+\@writefile{toc}{\contentsline {chapter}{\numberline {6}Z\IeC {\'a}v\IeC {\v e}r}{39}{chapter.6}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\bibcite{aimsunget}{1}
+\bibcite{7_lq_methods}{2}
+\bibcite{dynamic_programming}{3}
+\bibcite{2_int_a_in_dec}{4}
+\bibcite{4_rmm_formalization}{5}
+\bibcite{5_bayes_learn}{6}
+\bibcite{1_rmm_bayes_learning}{7}
+\bibcite{17_fronta}{8}
+\bibcite{lqg_parallel}{9}
+\bibcite{learning_to_predict}{10}
+\bibcite{tlc_using_sarsa}{11}
+\bibcite{6_tuc_lq}{12}
+\bibcite{leraning_from_delayed_rewards}{13}
+\bibcite{q_learning}{14}
+\bibcite{3_i_traff_light_c}{15}
+\bibcite{wooldridge}{16}
+\citation{*}
+\@writefile{toc}{\contentsline {chapter}{Literatura}{41}{chapter*.11}}
+\HyPL@Entry{48<</S/R>>}
+\@writefile{toc}{\contentsline {chapter}{\numberline {A}P\IeC {\v r}\IeC {\'\i }loha 1}{I}{appendix.A}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}