Index: applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux
===================================================================
--- applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1429)
+++ applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1430)
@@ -172,35 +172,35 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3.2}RMM a Bayesova u\IeC {\v c}en\IeC {\'\i }}{24}{subsection.3.3.2}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3.3}LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i }}{24}{subsection.3.3.3}}
-\@writefile{toc}{\contentsline {chapter}{\numberline {4}Implementace}{25}{chapter.4}}
-\@writefile{lof}{\addvspace {10\p@ }}
-\@writefile{lot}{\addvspace {10\p@ }}
-\@writefile{toc}{\contentsline {section}{\numberline {4.1}Pou\IeC {\v z}it\IeC {\'a} metoda}{27}{section.4.1}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.1.1}P\IeC {\v r}echodov\IeC {\'e} vztahy}{27}{subsection.4.1.1}}
-\newlabel{eq:my_trans_01}{{4.1}{27}{Přechodové vztahy\relax }{equation.4.1.1}{}}
-\newlabel{eq:my_trans_02}{{4.5}{27}{Přechodové vztahy\relax }{equation.4.1.5}{}}
-\newlabel{eq:my_trans_mat}{{4.7}{28}{Přechodové vztahy\relax }{equation.4.1.7}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.1.2}Minimalizace krit\IeC {\'e}ria}{28}{subsection.4.1.2}}
-\newlabel{eq:prechod_subs_01}{{4.9}{28}{Minimalizace kritéria\relax }{equation.4.1.9}{}}
-\newlabel{eq:prechod_mat_po_subs}{{4.11}{28}{Minimalizace kritéria\relax }{equation.4.1.11}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.1.2.1}Implementace minimalizace}{28}{subsubsection.4.1.2.1}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {4}Pou\IeC {\v z}it\IeC {\'a} metoda}{25}{chapter.4}}
+\@writefile{lof}{\addvspace {10\p@ }}
+\@writefile{lot}{\addvspace {10\p@ }}
+\@writefile{toc}{\contentsline {section}{\numberline {4.1}Seznam prom\IeC {\v e}nn\IeC {\'y}ch}{26}{section.4.1}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.2}P\IeC {\v r}echodov\IeC {\'e} vztahy}{27}{section.4.2}}
+\newlabel{eq:my_trans_01}{{4.1}{27}{Přechodové vztahy\relax }{equation.4.2.1}{}}
+\newlabel{eq:my_trans_02}{{4.5}{27}{Přechodové vztahy\relax }{equation.4.2.5}{}}
+\newlabel{eq:my_trans_mat}{{4.7}{27}{Přechodové vztahy\relax }{equation.4.2.7}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.3}Popis algoritmu}{28}{section.4.3}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.3.1}Minimalizace krit\IeC {\'e}ria}{28}{subsection.4.3.1}}
+\newlabel{eq:prechod_subs_01}{{4.9}{28}{Minimalizace kritéria\relax }{equation.4.3.9}{}}
+\newlabel{eq:prechod_mat_po_subs}{{4.11}{28}{Minimalizace kritéria\relax }{equation.4.3.11}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.3.1.1}Implementace minimalizace}{29}{subsubsection.4.3.1.1}}
 \citation{aimsunget}
-\@writefile{toc}{\contentsline {section}{\numberline {4.2}Simulace}{30}{section.4.2}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.2.0.2}VGS API}{30}{subsubsection.4.2.0.2}}
-\newlabel{ss:vgs_api}{{4.2.0.2}{30}{VGS API\relax }{subsubsection.4.2.0.2}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.2.1}\IeC {\v R}adi\IeC {\v c}e}{31}{subsection.4.2.1}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.2.2}Oblast simulace}{31}{subsection.4.2.2}}
-\newlabel{ss:oblast_simulace}{{4.2.2}{31}{Oblast simulace\relax }{subsection.4.2.2}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.4}Simulace}{30}{section.4.4}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.4.0.2}VGS API}{30}{subsubsection.4.4.0.2}}
+\newlabel{ss:vgs_api}{{4.4.0.2}{30}{VGS API\relax }{subsubsection.4.4.0.2}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.1}\IeC {\v R}adi\IeC {\v c}e}{31}{subsection.4.4.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.2}Oblast simulace}{31}{subsection.4.4.2}}
+\newlabel{ss:oblast_simulace}{{4.4.2}{31}{Oblast simulace\relax }{subsection.4.4.2}{}}
+\citation{6_tuc_lq}
 \@writefile{lof}{\contentsline {figure}{\numberline {4.1}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 601\relax }}{32}{figure.caption.5}}
 \newlabel{fig:601}{{4.1}{32}{Křižovatka 601\relax \relax }{figure.caption.5}{}}
 \@writefile{lof}{\contentsline {figure}{\numberline {4.2}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 495\relax }}{32}{figure.caption.6}}
 \newlabel{fig:601}{{4.2}{32}{Křižovatka 495\relax \relax }{figure.caption.6}{}}
-\citation{6_tuc_lq}
-\@writefile{toc}{\contentsline {section}{\numberline {4.3}Popis algoritmu}{33}{section.4.3}}
-\@writefile{toc}{\contentsline {section}{\numberline {4.4}Mo\IeC {\v z}n\IeC {\'e} vylep\IeC {\v s}en\IeC {\'\i } do budoucna}{33}{section.4.4}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.4.0.1}Model toku}{33}{subsubsection.4.4.0.1}}
-\newlabel{eq:teor_tok}{{4.12}{33}{Model toku\relax }{equation.4.4.12}{}}
-\newlabel{eq:exp_tok}{{4.13}{34}{Model toku\relax }{equation.4.4.13}{}}
-\newlabel{eq:lin_tok}{{4.16}{34}{Model toku\relax }{equation.4.4.16}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.1}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{34}{subsection.4.4.1}}
+\@writefile{toc}{\contentsline {section}{\numberline {4.5}Mo\IeC {\v z}n\IeC {\'e} vylep\IeC {\v s}en\IeC {\'\i } do budoucna}{33}{section.4.5}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.0.1}Model toku}{33}{subsubsection.4.5.0.1}}
+\newlabel{eq:teor_tok}{{4.12}{33}{Model toku\relax }{equation.4.5.12}{}}
+\newlabel{eq:exp_tok}{{4.13}{33}{Model toku\relax }{equation.4.5.13}{}}
+\newlabel{eq:lin_tok}{{4.16}{33}{Model toku\relax }{equation.4.5.16}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.1}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{33}{subsection.4.5.1}}
 \@writefile{toc}{\contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{35}{chapter.5}}
 \@writefile{lof}{\addvspace {10\p@ }}