Index: /applications/doprava/texty/novotny_vyzk_LQ/Implementation/Implementation.tex
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/Implementation/Implementation.tex (revision 1430)
+++ /applications/doprava/texty/novotny_vyzk_LQ/Implementation/Implementation.tex (revision 1431)
@@ -8,5 +8,10 @@
 Jako vhodná metoda bylo zvoleno LQ řízení, které jako stavovou proměnnou
 bere délku fornty, kterou se snaží minimalizovat pomocí nalezení
-vhodné hodnoty řídící proměnné, délku cyklu.
+vhodné hodnoty řídící proměnné, délku cyklu.\\
+
+V následující části se budeme zabývat jak metodu popsanou v kapitolách \ref{sec:lq} a \ref{sec:lq_tuc}
+transformovat na decentralizované řízení délky cyklu v oblasti Praha-Zličín. Jako výchozí bod
+budeme brát způsob řízení popsaný v \cite{6_tuc_lq}.
+
 
 
@@ -38,5 +43,5 @@
 \section{Přechodové vztahy}
 Jako údaj popisující stav systému byla zvolena délka fronty $q_j(t)$, což je počet aut v jízdním pruhu jedoucích 
-méně než 3,6 km/h. Pro danou frontu v čase $t+1$ platí zřejmě vztah
+méně než $3,6 km/h$. Pro danou frontu v čase $t+1$ platí zřejmě vztah
 \begin{equation}\label{eq:my_trans_01}
  q_j(t+1) = q_j(t) + T ( i_j(t) - o_j(t) ) , 
Index: /applications/doprava/texty/novotny_vyzk_LQ/Implementation/ChangingFlow.tex
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/Implementation/ChangingFlow.tex (revision 1427)
+++ /applications/doprava/texty/novotny_vyzk_LQ/Implementation/ChangingFlow.tex (revision 1431)
@@ -1,3 +1,3 @@
-\subsubsection{Model toku}
+\subsection{Model toku}
 V článku \cite{6_tuc_lq} se úbytek vozidel modeluje podle rovnice \ref{eq:tuc_u}, kde je uvažován
 tok vozidel křižovatkou za jednotku času jako konstanta $S$, což je saturovaný tok. Tento vztah
Index: /applications/doprava/texty/novotny_vyzk_LQ/LQ_rizeni.tex
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/LQ_rizeni.tex (revision 1429)
+++ /applications/doprava/texty/novotny_vyzk_LQ/LQ_rizeni.tex (revision 1431)
@@ -1,3 +1,3 @@
-\section{LQ řízení}
+\section{LQ řízení}\label{sec:lq}
 
 LQ je zkratka slovního spojení linaer-quadratic, tedy lineárně kvadratický. 
Index: /applications/doprava/texty/novotny_vyzk_LQ/Pouziti/Pouziti.tex
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/Pouziti/Pouziti.tex (revision 1429)
+++ /applications/doprava/texty/novotny_vyzk_LQ/Pouziti/Pouziti.tex (revision 1431)
@@ -6,5 +6,5 @@
 
 
-\subsection{Použití LQ řízení ve strategii TUC}
+\subsection{Použití LQ řízení ve strategii TUC} \label{sec:lq_tuc}
 LQ řízení bylo použito v \cite{6_tuc_lq} k nalezení optimální délky zelených v systému 
 13-ti signálních skupin. Proměnné $x_i(t)$ zde představují obsazenost ramene $i$ 
Index: /applications/doprava/texty/novotny_vyzk_LQ/vyzk.log
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/vyzk.log (revision 1430)
+++ /applications/doprava/texty/novotny_vyzk_LQ/vyzk.log (revision 1431)
@@ -1,3 +1,3 @@
-This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=latex 2011.10.24)  3 FEB 2012 16:54
+This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=latex 2011.10.24)  3 FEB 2012 17:20
 entering extended mode
  %&-line parsing enabled.
@@ -957,40 +957,45 @@
 Kapitola 4.
 
-Underfull \hbox (badness 10000) in paragraph at lines 21--22
+Underfull \hbox (badness 10000) in paragraph at lines 5--11
+
+ []
+
+
+Underfull \hbox (badness 10000) in paragraph at lines 26--27
 []|\OT1/cmr/m/n/12 Doba, za kterou se
  []
 
 
-Underfull \hbox (badness 10000) in paragraph at lines 21--22
+Underfull \hbox (badness 10000) in paragraph at lines 26--27
 \OT1/cmr/m/n/12 vyst^^Tr^^S^^Pdaj^^S^^P f^^Saze sign^^Saln^^S^^P
  []
 
 
-Underfull \hbox (badness 3954) in paragraph at lines 22--23
+Underfull \hbox (badness 3954) in paragraph at lines 27--28
 []|\OT1/cmr/m/n/12 Maxim^^Saln^^S^^P po^^Tcet vozidel,
  []
 
 
-Underfull \hbox (badness 1237) in paragraph at lines 23--24
+Underfull \hbox (badness 1237) in paragraph at lines 28--29
 []|[]\OT1/cmr/m/n/12 Cas pot^^Trebn^^Sy k vyk-l-izen^^S^^P
  []
 
 
-Underfull \hbox (badness 10000) in paragraph at lines 23--24
+Underfull \hbox (badness 10000) in paragraph at lines 28--29
 \OT1/cmr/m/n/12 k^^Tri^^Tzovatky mezi dv^^Tema
  []
 
 
-Underfull \hbox (badness 2452) in paragraph at lines 25--26
+Underfull \hbox (badness 2452) in paragraph at lines 30--31
 []|\OT1/cmr/m/n/12 Skupiny n^^Sale^^Tz^^S^^Pc^^S^^P jed-nomu
  []
 
 
-Underfull \hbox (badness 6995) in paragraph at lines 26--26
+Underfull \hbox (badness 6995) in paragraph at lines 31--31
 []|\OT1/cmr/m/n/12 Mno^^Tzina vstup^^Wu sign^^Saln^^S^^P
  []
 
 
-Overfull \hbox (27.91731pt too wide) in paragraph at lines 18--34
+Overfull \hbox (27.91731pt too wide) in paragraph at lines 23--39
 [] 
  []
@@ -999,5 +1004,5 @@
 
 ] [26]
-Underfull \hbox (badness 10000) in paragraph at lines 77--86
+Underfull \hbox (badness 10000) in paragraph at lines 82--91
 
  []
@@ -1021,10 +1026,10 @@
 
 )
-Underfull \hbox (badness 10000) in paragraph at lines 103--119
-
- []
-
-
-Overfull \hbox (6.58554pt too wide) in paragraph at lines 103--119
+Underfull \hbox (badness 10000) in paragraph at lines 108--124
+
+ []
+
+
+Overfull \hbox (6.58554pt too wide) in paragraph at lines 108--124
 \OT1/cmr/m/n/12 pl^^San^^Wu ^^Tr^^S^^Pzen^^S^^P do-pravy, po^^Tzadovan^^Sych do
 -pravn^^S^^Pch data, a pl^^San^^Wu hro-madn^^Se do-pravy a mno^^Tzinu
@@ -1032,10 +1037,10 @@
 
 
-Underfull \hbox (badness 10000) in paragraph at lines 121--145
-
- []
-
-
-Underfull \hbox (badness 10000) in paragraph at lines 121--145
+Underfull \hbox (badness 10000) in paragraph at lines 126--150
+
+ []
+
+
+Underfull \hbox (badness 10000) in paragraph at lines 126--150
 
  []
@@ -1089,11 +1094,11 @@
  ) 
 Here is how much of TeX's memory you used:
- 10623 strings out of 495062
- 144627 string characters out of 1182643
- 233916 words of memory out of 3000000
- 13539 multiletter control sequences out of 15000+50000
+ 10625 strings out of 495062
+ 144647 string characters out of 1182643
+ 235032 words of memory out of 3000000
+ 13541 multiletter control sequences out of 15000+50000
  17737 words of font info for 73 fonts, out of 3000000 for 9000
  29 hyphenation exceptions out of 8191
  43i,11n,45p,276b,1730s stack positions out of 5000i,500n,10000p,200000b,50000s
 
-Output written on vyzk.dvi (49 pages, 218176 bytes).
+Output written on vyzk.dvi (49 pages, 219320 bytes).
Index: /applications/doprava/texty/novotny_vyzk_LQ/vyzk.toc
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/vyzk.toc (revision 1430)
+++ /applications/doprava/texty/novotny_vyzk_LQ/vyzk.toc (revision 1431)
@@ -41,6 +41,6 @@
 \contentsline {subsection}{\numberline {4.4.2}Oblast simulace}{31}{subsection.4.4.2}
 \contentsline {section}{\numberline {4.5}Mo\IeC {\v z}n\IeC {\'e} vylep\IeC {\v s}en\IeC {\'\i } do budoucna}{33}{section.4.5}
-\contentsline {subsubsection}{\numberline {4.5.0.1}Model toku}{33}{subsubsection.4.5.0.1}
-\contentsline {subsection}{\numberline {4.5.1}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{33}{subsection.4.5.1}
+\contentsline {subsection}{\numberline {4.5.1}Model toku}{33}{subsection.4.5.1}
+\contentsline {subsection}{\numberline {4.5.2}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{34}{subsection.4.5.2}
 \contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{35}{chapter.5}
 \contentsline {section}{\numberline {5.1}Sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 1}{35}{section.5.1}
Index: /applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux
===================================================================
--- /applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1430)
+++ /applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1431)
@@ -118,4 +118,5 @@
 \global\def\markxviidefinition{\ensuremath {\blacktriangleright }}
 \@writefile{toc}{\contentsline {section}{\numberline {2.6}LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i }}{14}{section.2.6}}
+\newlabel{sec:lq}{{2.6}{14}{LQ řízení\relax }{section.2.6}{}}
 \newlabel{eq:lq_prechod}{{2.1}{14}{LQ řízení\relax }{equation.2.6.1}{}}
 \citation{6_tuc_lq}
@@ -150,4 +151,5 @@
 \newlabel{fig:rmm_results}{{3.2}{21}{Výsledky měření. M1 - RMM, M2 - pevné cykly, M3 - "Hill-climbing" \relax \relax }{figure.caption.4}{}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.2.1}Pou\IeC {\v z}it\IeC {\'\i } LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i } ve strategii TUC}{21}{subsection.3.2.1}}
+\newlabel{sec:lq_tuc}{{3.2.1}{21}{Použití LQ řízení ve strategii TUC\relax }{subsection.3.2.1}{}}
 \newlabel{eq_tuc_1}{{3.1}{21}{Použití LQ řízení ve strategii TUC\relax }{equation.3.2.1}{}}
 \citation{6_tuc_lq}
@@ -172,4 +174,5 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3.2}RMM a Bayesova u\IeC {\v c}en\IeC {\'\i }}{24}{subsection.3.3.2}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3.3}LQ \IeC {\v r}\IeC {\'\i }zen\IeC {\'\i }}{24}{subsection.3.3.3}}
+\citation{6_tuc_lq}
 \@writefile{toc}{\contentsline {chapter}{\numberline {4}Pou\IeC {\v z}it\IeC {\'a} metoda}{25}{chapter.4}}
 \@writefile{lof}{\addvspace {10\p@ }}
@@ -198,9 +201,9 @@
 \newlabel{fig:601}{{4.2}{32}{Křižovatka 495\relax \relax }{figure.caption.6}{}}
 \@writefile{toc}{\contentsline {section}{\numberline {4.5}Mo\IeC {\v z}n\IeC {\'e} vylep\IeC {\v s}en\IeC {\'\i } do budoucna}{33}{section.4.5}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.5.0.1}Model toku}{33}{subsubsection.4.5.0.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.1}Model toku}{33}{subsection.4.5.1}}
 \newlabel{eq:teor_tok}{{4.12}{33}{Model toku\relax }{equation.4.5.12}{}}
 \newlabel{eq:exp_tok}{{4.13}{33}{Model toku\relax }{equation.4.5.13}{}}
 \newlabel{eq:lin_tok}{{4.16}{33}{Model toku\relax }{equation.4.5.16}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.1}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{33}{subsection.4.5.1}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.2}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{34}{subsection.4.5.2}}
 \@writefile{toc}{\contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{35}{chapter.5}}
 \@writefile{lof}{\addvspace {10\p@ }}