Index: applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux
===================================================================
--- applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1433)
+++ applications/doprava/texty/novotny_vyzk_LQ/vyzk.aux (revision 1434)
@@ -21,5 +21,5 @@
 \@writefile{lot}{\select@language{czech}}
 \HyPL@Entry{1<</S/r>>}
-\HyPL@Entry{7<</S/D>>}
+\HyPL@Entry{8<</S/D>>}
 \@writefile{toc}{\contentsline {chapter}{\numberline {1}\IeC {\'U}vod}{1}{chapter.1}}
 \@writefile{lof}{\addvspace {10\p@ }}
@@ -31,28 +31,28 @@
 \@writefile{lot}{\addvspace {10\p@ }}
 \@writefile{toc}{\contentsline {section}{\numberline {2.1}Multiagentn\IeC {\'\i } syst\IeC {\'e}my}{3}{section.2.1}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.1}Historie}{3}{subsection.2.1.1}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.2}Agent}{3}{subsection.2.1.2}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.1}Agent}{3}{subsection.2.1.1}}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{1}}{Agent}}{3}{definition.2.1}}
 \newlabel{de:agent01}{{2.{1}}{3}{Agent\relax }{definition.2.1}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.3}Druhy prost\IeC {\v r}ed\IeC {\'\i }}{4}{subsection.2.1.3}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.4}Stavy prost\IeC {\v r}ed\IeC {\'\i } a preference agent\IeC {\r u}}{4}{subsection.2.1.4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.2}Druhy prost\IeC {\v r}ed\IeC {\'\i }}{3}{subsection.2.1.2}}
+\citation{wooldridge}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1.3}Stavy prost\IeC {\v r}ed\IeC {\'\i } a preference agent\IeC {\r u}}{4}{subsection.2.1.3}}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{2}}{Uspořádání na množině všech stavů}}{4}{definition.2.2}}
-\citation{wooldridge}
 \global\def\markiidefinition{\ensuremath {\blacktriangleright }}
 \@writefile{toc}{\contentsline {section}{\numberline {2.2}V\IeC {\'y}b\IeC {\v e}r strategie podle teorie her}{5}{section.2.2}}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{3}}{Dominance množiny}}{5}{definition.2.3}}
-\citation{3_i_traff_light_c}
 \global\def\markiiidefinition{\ensuremath {\blacktriangleright }}
-\@writefile{thm}{\contentsline {definition}{{Definice}{2.{4}}{Množina výsledků}}{6}{definition.2.4}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{4}}{Množina výsledků}}{5}{definition.2.4}}
 \global\def\markivdefinition{\ensuremath {\blacktriangleright }}
-\@writefile{thm}{\contentsline {definition}{{Definice}{2.{5}}{Dominance strategie}}{6}{definition.2.5}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{5}}{Dominance strategie}}{5}{definition.2.5}}
+\citation{3_i_traff_light_c}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{6}}{Nashova rovnost}}{6}{definition.2.6}}
 \newlabel{de:nash_equlibrium}{{2.{6}}{6}{Výběr strategie podle teorie her\relax }{definition.2.6}{}}
 \@writefile{toc}{\contentsline {section}{\numberline {2.3}Zp\IeC {\v e}tnovazebn\IeC {\'e} u\IeC {\v c}en\IeC {\'\i }}{6}{section.2.3}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {2.3.1}Markov\IeC {\r u}v rozhodvac\IeC {\'\i } proces}{6}{subsection.2.3.1}}
-\citation{3_i_traff_light_c}
-\citation{3_i_traff_light_c}
-\@writefile{thm}{\contentsline {definition}{{Definice}{2.{7}}{Markovův rozhodovací proces}}{7}{definition.2.7}}
-\newlabel{de:markov_decision_process}{{2.{7}}{7}{Markovův rozhodvací proces\relax }{definition.2.7}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{7}}{Markovův rozhodovací proces}}{6}{definition.2.7}}
+\newlabel{de:markov_decision_process}{{2.{7}}{6}{Markovův rozhodvací proces\relax }{definition.2.7}{}}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\citation{dynamic_programming}
 \global\def\markviidefinitioni{\ensuremath {\blacktriangleright }}
 \@writefile{toc}{\contentsline {subsection}{\numberline {2.3.2}Dynamick\IeC {\'e} programov\IeC {\'a}n\IeC {\'\i }}{7}{subsection.2.3.2}}
@@ -61,19 +61,19 @@
 \newlabel{de:v_function}{{2.{8}}{7}{Dynamické programování\relax }{definition.2.8}{}}
 \global\def\markviiidefinitioni{\ensuremath {\blacktriangleright }}
-\citation{dynamic_programming}
-\citation{3_i_traff_light_c}
-\citation{3_i_traff_light_c}
-\@writefile{thm}{\contentsline {definition}{{Definice}{2.{9}}{Q-function}}{8}{definition.2.9}}
-\newlabel{de:q_function}{{2.{9}}{8}{Dynamické programování\relax }{definition.2.9}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{9}}{Q-function}}{7}{definition.2.9}}
+\newlabel{de:q_function}{{2.{9}}{7}{Dynamické programování\relax }{definition.2.9}{}}
 \global\def\markixdefinition{\ensuremath {\blacktriangleright }}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\citation{q_learning}
+\citation{learning_to_predict}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{10}}{Bellmanova rovnice optimality}}{8}{definition.2.10}}
 \newlabel{de:bellman_equation_of_optimality}{{2.{10}}{8}{Dynamické programování\relax }{definition.2.10}{}}
 \global\def\markxdefinition{\ensuremath {\blacktriangleright }}
-\citation{q_learning}
-\citation{learning_to_predict}
-\citation{3_i_traff_light_c}
-\citation{3_i_traff_light_c}
-\citation{3_i_traff_light_c}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.3.3}Zp\IeC {\v e}tnovazebn\IeC {\'e} u\IeC {\v c}en\IeC {\'\i } (Reinforcement learning)}{9}{subsection.2.3.3}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.3.3}Zp\IeC {\v e}tnovazebn\IeC {\'e} u\IeC {\v c}en\IeC {\'\i } (Reinforcement learning)}{8}{subsection.2.3.3}}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\citation{3_i_traff_light_c}
+\citation{4_rmm_formalization}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {2.3.3.1}Q-u\IeC {\v c}en\IeC {\'\i } (Q-learning)}{9}{subsubsection.2.3.3.1}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {2.3.3.2}U\IeC {\v c}en\IeC {\'\i } na z\IeC {\'a}klad\IeC {\v e} modelu (Model-based learning)}{9}{subsubsection.2.3.3.2}}
@@ -81,17 +81,16 @@
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{11}}{MLM}}{9}{definition.2.11}}
 \newlabel{de:mlm}{{2.{11}}{9}{Učení na základě modelu (Model-based learning)\relax }{definition.2.11}{}}
-\citation{4_rmm_formalization}
-\citation{4_rmm_formalization}
-\citation{4_rmm_formalization}
 \global\def\markxidefinition{\ensuremath {\blacktriangleright }}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
 \@writefile{toc}{\contentsline {section}{\numberline {2.4}RMM - Rekurzivn\IeC {\'\i } modelov\IeC {\'e} metody}{10}{section.2.4}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {2.4.1}Form\IeC {\'a}ln\IeC {\'\i } definice}{10}{subsection.2.4.1}}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{12}}{Matice zisků}}{10}{definition.2.12}}
 \newlabel{de:payoff_matrix}{{2.{12}}{10}{Formální definice\relax }{definition.2.12}{}}
-\citation{4_rmm_formalization}
-\citation{4_rmm_formalization}
-\citation{4_rmm_formalization}
-\@writefile{thm}{\contentsline {definition}{{Definice}{2.{13}}{Rekursivní modelová struktura}}{11}{definition.2.13}}
-\newlabel{de:rms}{{2.{13}}{11}{Formální definice\relax }{definition.2.13}{}}
+\@writefile{thm}{\contentsline {definition}{{Definice}{2.{13}}{Rekursivní modelová struktura}}{10}{definition.2.13}}
+\newlabel{de:rms}{{2.{13}}{10}{Formální definice\relax }{definition.2.13}{}}
+\citation{4_rmm_formalization}
+\citation{4_rmm_formalization}
 \@writefile{thm}{\contentsline {definition}{{Definice}{2.{14}}{Rekursivní model}}{11}{definition.2.14}}
 \newlabel{de:rm}{{2.{14}}{11}{Formální definice\relax }{definition.2.14}{}}
@@ -130,5 +129,6 @@
 \newlabel{sec:minim}{{2.6.1}{15}{Minimalizace kritéria na horizontu\relax }{subsection.2.6.1}{}}
 \newlabel{eq:J}{{2.6}{15}{Minimalizace kritéria na horizontu\relax }{equation.2.6.6}{}}
-\newlabel{eq:J_sloz}{{2.9}{15}{Minimalizace kritéria na horizontu\relax }{equation.2.6.9}{}}
+\citation{lqg_parallel}
+\newlabel{eq:J_sloz}{{2.9}{16}{Minimalizace kritéria na horizontu\relax }{equation.2.6.9}{}}
 \citation{3_i_traff_light_c}
 \citation{3_i_traff_light_c}
@@ -179,31 +179,31 @@
 \@writefile{lot}{\addvspace {10\p@ }}
 \@writefile{toc}{\contentsline {section}{\numberline {4.1}Seznam prom\IeC {\v e}nn\IeC {\'y}ch}{26}{section.4.1}}
+\citation{6_tuc_lq}
 \@writefile{toc}{\contentsline {section}{\numberline {4.2}P\IeC {\v r}echodov\IeC {\'e} vztahy}{27}{section.4.2}}
 \newlabel{eq:my_trans_01}{{4.1}{27}{Přechodové vztahy\relax }{equation.4.2.1}{}}
 \newlabel{eq:my_trans_02}{{4.5}{27}{Přechodové vztahy\relax }{equation.4.2.5}{}}
 \newlabel{eq:my_trans_mat}{{4.7}{27}{Přechodové vztahy\relax }{equation.4.2.7}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.2.1}Minimalizace krit\IeC {\'e}ria}{28}{subsection.4.2.1}}
+\newlabel{eq:prechod_subs_01}{{4.9}{28}{Minimalizace kritéria\relax }{equation.4.2.9}{}}
+\newlabel{eq:prechod_mat_po_subs}{{4.11}{28}{Minimalizace kritéria\relax }{equation.4.2.11}{}}
 \@writefile{toc}{\contentsline {section}{\numberline {4.3}Popis algoritmu}{28}{section.4.3}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.3.1}Minimalizace krit\IeC {\'e}ria}{28}{subsection.4.3.1}}
-\newlabel{eq:prechod_subs_01}{{4.9}{28}{Minimalizace kritéria\relax }{equation.4.3.9}{}}
-\newlabel{eq:prechod_mat_po_subs}{{4.11}{28}{Minimalizace kritéria\relax }{equation.4.3.11}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.3.1.1}Implementace minimalizace}{29}{subsubsection.4.3.1.1}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.3.0.1}Implementace minimalizace}{29}{subsubsection.4.3.0.1}}
 \citation{aimsunget}
 \@writefile{toc}{\contentsline {section}{\numberline {4.4}Simulace}{30}{section.4.4}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.4.0.2}VGS API}{30}{subsubsection.4.4.0.2}}
-\newlabel{ss:vgs_api}{{4.4.0.2}{30}{VGS API\relax }{subsubsection.4.4.0.2}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {4.4.0.2}VGS API}{31}{subsubsection.4.4.0.2}}
+\newlabel{ss:vgs_api}{{4.4.0.2}{31}{VGS API\relax }{subsubsection.4.4.0.2}{}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.4.1}\IeC {\v R}adi\IeC {\v c}e}{31}{subsection.4.4.1}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.2}Oblast simulace}{31}{subsection.4.4.2}}
-\newlabel{ss:oblast_simulace}{{4.4.2}{31}{Oblast simulace\relax }{subsection.4.4.2}{}}
-\citation{6_tuc_lq}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.4.2}Oblast simulace}{32}{subsection.4.4.2}}
+\newlabel{ss:oblast_simulace}{{4.4.2}{32}{Oblast simulace\relax }{subsection.4.4.2}{}}
 \@writefile{lof}{\contentsline {figure}{\numberline {4.1}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 601\relax }}{32}{figure.caption.5}}
 \newlabel{fig:601}{{4.1}{32}{Křižovatka 601\relax \relax }{figure.caption.5}{}}
-\@writefile{lof}{\contentsline {figure}{\numberline {4.2}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 495\relax }}{32}{figure.caption.6}}
-\newlabel{fig:601}{{4.2}{32}{Křižovatka 495\relax \relax }{figure.caption.6}{}}
+\citation{6_tuc_lq}
+\citation{17_fronta}
+\@writefile{lof}{\contentsline {figure}{\numberline {4.2}{\ignorespaces K\IeC {\v r}i\IeC {\v z}ovatka 495\relax }}{33}{figure.caption.6}}
+\newlabel{fig:601}{{4.2}{33}{Křižovatka 495\relax \relax }{figure.caption.6}{}}
 \@writefile{toc}{\contentsline {section}{\numberline {4.5}Mo\IeC {\v z}n\IeC {\'e} vylep\IeC {\v s}en\IeC {\'\i } do budoucna}{33}{section.4.5}}
+\newlabel{sec:vylepseni}{{4.5}{33}{Možné vylepšení do budoucna\relax }{section.4.5}{}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.5.1}Model toku}{33}{subsection.4.5.1}}
-\newlabel{eq:teor_tok}{{4.12}{33}{Model toku\relax }{equation.4.5.12}{}}
-\newlabel{eq:exp_tok}{{4.13}{33}{Model toku\relax }{equation.4.5.13}{}}
-\newlabel{eq:lin_tok}{{4.16}{33}{Model toku\relax }{equation.4.5.16}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.2}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{34}{subsection.4.5.2}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.5.2}Odhdad odbo\IeC {\v c}ovac\IeC {\'\i }ch pom\IeC {\v e}r\IeC {\r u}}{33}{subsection.4.5.2}}
 \@writefile{toc}{\contentsline {chapter}{\numberline {5}V\IeC {\'y}sledky}{35}{chapter.5}}
 \@writefile{lof}{\addvspace {10\p@ }}
@@ -215,11 +215,24 @@
 \newlabel{fig:qsum_01_007}{{5.2}{36}{Průběh součtu délek front\relax \relax }{figure.caption.8}{}}
 \@writefile{lof}{\contentsline {figure}{\numberline {5.3}{\ignorespaces Po\IeC {\v c}et zastaven\IeC {\'\i }\relax }}{37}{figure.caption.9}}
-\newlabel{fig:tc_01_007}{{5.3}{37}{Počet zastavení\relax \relax }{figure.caption.9}{}}
+\newlabel{fig:01ns}{{5.3}{37}{Počet zastavení\relax \relax }{figure.caption.9}{}}
 \@writefile{lof}{\contentsline {figure}{\numberline {5.4}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'a} doba j\IeC {\'\i }zdy\relax }}{37}{figure.caption.10}}
-\newlabel{fig:qsum_01_007}{{5.4}{37}{Průměrná doba jízdy\relax \relax }{figure.caption.10}{}}
+\newlabel{fig:01tt}{{5.4}{37}{Průměrná doba jízdy\relax \relax }{figure.caption.10}{}}
 \@writefile{toc}{\contentsline {section}{\numberline {5.2}Sc\IeC {\'e}n\IeC {\'a}\IeC {\v r} 2}{38}{section.5.2}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.5}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{38}{figure.caption.11}}
+\newlabel{fig:tc_02_007}{{5.5}{38}{Průběh délky cyklu\relax \relax }{figure.caption.11}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.6}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h sou\IeC {\v c}tu d\IeC {\'e}lek front\relax }}{39}{figure.caption.12}}
+\newlabel{fig:qsum_02_007}{{5.6}{39}{Průběh součtu délek front\relax \relax }{figure.caption.12}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.7}{\ignorespaces Po\IeC {\v c}et zastaven\IeC {\'\i }\relax }}{39}{figure.caption.13}}
+\newlabel{fig:02ns}{{5.7}{39}{Počet zastavení\relax \relax }{figure.caption.13}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.8}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i }\relax }}{40}{figure.caption.14}}
+\newlabel{fig:02tt}{{5.8}{40}{Průměrné zpoždění\relax \relax }{figure.caption.14}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {5.3}Re\IeC {\'a}ln\IeC {\'y} sc\IeC {\'e}n\IeC {\'a}\IeC {\v r}}{40}{section.5.3}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.9}{\ignorespaces Pr\IeC {\r u}b\IeC {\v e}h d\IeC {\'e}lky cyklu\relax }}{41}{figure.caption.15}}
+\newlabel{fig:tc_02_007}{{5.9}{41}{Průběh délky cyklu\relax \relax }{figure.caption.15}{}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5.10}{\ignorespaces Pr\IeC {\r u}m\IeC {\v e}rn\IeC {\'e} zpo\IeC {\v z}d\IeC {\v e}n\IeC {\'\i }\relax }}{41}{figure.caption.16}}
+\newlabel{fig:02tt}{{5.10}{41}{Průměrné zpoždění\relax \relax }{figure.caption.16}{}}
 \bibstyle{czechiso}
 \bibdata{Bibl/bibl}
-\@writefile{toc}{\contentsline {chapter}{\numberline {6}Z\IeC {\'a}v\IeC {\v e}r}{39}{chapter.6}}
+\@writefile{toc}{\contentsline {chapter}{\numberline {6}Z\IeC {\'a}v\IeC {\v e}r}{42}{chapter.6}}
 \@writefile{lof}{\addvspace {10\p@ }}
 \@writefile{lot}{\addvspace {10\p@ }}
@@ -241,6 +254,6 @@
 \bibcite{wooldridge}{16}
 \citation{*}
-\@writefile{toc}{\contentsline {chapter}{Literatura}{41}{chapter*.11}}
-\HyPL@Entry{48<</S/R>>}
+\@writefile{toc}{\contentsline {chapter}{Literatura}{44}{chapter*.17}}
+\HyPL@Entry{52<</S/R>>}
 \@writefile{toc}{\contentsline {chapter}{\numberline {A}P\IeC {\v r}\IeC {\'\i }loha 1}{I}{appendix.A}}
 \@writefile{lof}{\addvspace {10\p@ }}