Index: applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- applications/dual/vahala/DP/prac_verz.lyx (revision 1451)
+++ applications/dual/vahala/DP/prac_verz.lyx (revision 1452)
@@ -97,5 +97,12 @@
  nejpřesnějším řízením a současně dobrým odhadováním neměřených veličin.
  Teorie ohledně duálního řízení je již značně rozvinuta a hojně popsána
- v literatuře.
+ v literatuře, například 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "adaptDC2004,BertsekasDPOC"
+
+\end_inset
+
+.
  Avšak naprostá většina postupů využívajících duálního řízení je extrémně
  výpočetně náročná, což není příliš vhodné pro aplikaci na řízení motoru,
@@ -2420,5 +2427,16 @@
 \end_inset
 
- je realizována
+ je realizována (
+\series bold
+tohle ještě dostatečně zdůraznit a upozornit na to v odhadovacích metodách,
+ kde to je
+\series default
+) To je u PMSM obecně velkým problémem a příčinu tohoto jevu lze snadno
+ vysledovat už v rovnicích modelu tohoto stroje.
+ Ty jsou totiž symetrické na substituci stavových veličin 
+\begin_inset Formula $\left(\omega,\vartheta\right)\longleftrightarrow\left(-\omega,\vartheta+\pi\right)$
+\end_inset
+
+.
 \end_layout
 
@@ -3005,4 +3023,11 @@
 \begin_layout Subsection
 Detekce počáteční polohy 
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Detekce-počáteční-polohy"
+
+\end_inset
+
+
 \end_layout
 
@@ -8532,4 +8557,11 @@
 \begin_layout Section
 Hyperstav
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Hyperstav-odvoz-pro-pmsm"
+
+\end_inset
+
+
 \end_layout
 
@@ -9237,8 +9269,11 @@
 \begin_layout Section
 Bikriteriální metoda
-\end_layout
-
-\begin_layout Subsection
-Základní verze
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Bikriterialni-metoda"
+
+\end_inset
+
+
 \end_layout
 
@@ -9292,4 +9327,8 @@
  Pro odhadování stavu je užit opět rozšířený Kalmanův filtr.
  
+\end_layout
+
+\begin_layout Subsection
+Základní verze
 \end_layout
 
@@ -10793,4 +10832,11 @@
 \begin_layout Subsection
 LQ regulátor
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:LQ-regulator-volba-param"
+
+\end_inset
+
+
 \end_layout
 
@@ -12516,38 +12562,262 @@
 \end_layout
 
-\begin_layout Itemize
-základní verze
-\end_layout
-
-\begin_layout Itemize
-časově posunutá verze
-\end_layout
-
-\begin_layout Itemize
-více současně běžících KF
-\end_layout
-
-\begin_layout Itemize
-konstanta do 
+\begin_layout Standard
+V části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Bikriterialni-metoda"
+
+\end_inset
+
+ byly popsány čtyři verze bikriteriální metody: základní verze, časově posunutá
+ verze, více současně běžících EKF a přídání konstanty k řízení v ose 
 \begin_inset Formula $d$
 \end_inset
 
-
-\end_layout
-
-\begin_layout Standard
-srovnání s pouze přidáním injektáží (
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
-, 
-\begin_inset Formula $d-q,$
-\end_inset
-
- sin, obdelnik, různé frekvence), ale to asi pomocí PCRB
-\end_layout
-
-\begin_layout Standard
-vybrat vhodného reprezentanta do experimentů
+.
+ Tyto postupy se však týkají pouze budící části a je třeba je přidat k opatrnému
+ řízení.
+ Jak již bylo zmíněno, nalezení opatrného řízení je v případě PMSM problematické
+ a proto je místo něj užito standartní vektorového řízení.
+ Je uvažováno vektorové řízení založené na PI regulátorech i na LQ návrhu.
+ Jednotlivé verze lišící se verzí bikriteriální metody a volbou řízení byly
+ vzájemně porovnány především na základě dosažených průměrných kvadratických
+ chyb.
+ Hodnota parametru 
+\begin_inset Formula $\varepsilon$
+\end_inset
+
+, případně 
+\begin_inset Formula $\varepsilon_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $\varepsilon_{q}$
+\end_inset
+
+, byla v provedených experimentech volena 
+\begin_inset Formula $5V$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsubsection
+Bikriteriální metoda s vektorovým PI řízením
+\end_layout
+
+\begin_layout Standard
+Nejdříve byla věnována pozornost různým verzím bikriteriální metody využívající
+ jako řídící 
+\begin_inset Quotes gld
+\end_inset
+
+opatrnou
+\begin_inset Quotes grd
+\end_inset
+
+ část vektorové PI řízení.
+ Právě využití tohoto řízení však přináší řadu komplikací.
+ Především v tom smyslu, že jsou opět do jisté míry přítomny již zmiňované
+ nedostatky tohoto řídícího algoritmu.
+ Konkrétně se jedná o problémy v nízkých otáčkách, kdy regulátor neřídí
+ a dále pak problémy při průchodu nulovými otáčkami.
+ Také se zde objevuje nežádoucí jev, kdy se stroj začne otáčet na opačnou
+ stranu.
+ 
+\end_layout
+
+\begin_layout Standard
+Z jednotlivých verzí bikriteriální metody se v tomto případě ukazuje být
+ jedinou použitelnou přidávání konstantnty k řídícímu zásahu v ose 
+\begin_inset Formula $d$
+\end_inset
+
+.
+ Zbývající verze poskytují velmi špatný výsledek co se kvality řízení týče
+ a vyskytuje se u nich problém s rozběhem stroje na opačnou stranu.
+ 
+\end_layout
+
+\begin_layout Standard
+Hodnoty průměrné kvadratické chyby pro jednotlivé verze bikriteriální metody
+ na různých profilech referenčních otáček jsou zachyceny na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:bikriterialni-bar-ztraty"
+
+\end_inset
+
+ a).
+ Pro profily s nízkými požadovanými otáčkymi je dosahováno zdánlivě malé
+ chyby, ta je však způsobena vlastností vektorového PI řízení, které v nízkých
+ otáčkách neřídí.
+ Pro referenční profil průchody nulou jsou vyšší chyby v důsledku špatného
+ chování v blízkosti nulových otáček.
+ Dále pak pro lichoběžníkové profily často dochází k problému s rozjezdem
+ na opačnou stranu, který způsobí značný nárůst chyby.
+ Z obrázku je dále patrné, že verze bikriteriální metody přidávající konstantu
+ k řízení v ose 
+\begin_inset Formula $d$
+\end_inset
+
+ jako jediná poskytuje stabilně relativně dobré výsledky.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="2" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/bikrit_pi.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/bikrit_lq.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) PI regulátory
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) LQ regulátor
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Hodnoty průměrné kvadratické chyby pro jednotlivé verze (viz legenda) bikriteriá
+lní metody, při současném užití vektorového řízení s a) PI nebo b) LQ regulátory.
+ V grafech označuje 
+\begin_inset Formula $\delta$
+\end_inset
+
+ průměrnou kvadratickou chybu.
+ Referenční profily otáček jsou následující: 1 -- nulový; 2 -- nízké otáčky
+ trojúhelníky; 3 -- nízké otáčky lichoběžníky; 4 -- průchody nulou trojúhelníky;
+ 5 -- průchody nulou lichoběžníky; 6 -- vysoké otáčky trojúhelníky; 7 --
+ vysoké otáčky lichoběžníky.
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:bikriterialni-bar-ztraty"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Bikriteriální metoda s vektorovým LQ řízením
+\end_layout
+
+\begin_layout Standard
+Dále byly testovány jednotlivé verze bikriteriální metody doplněné lineárně
+ kvadratickým regulátorem.
+ Jak bylo popsáno v předchozím odstavci 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQ-regulator-volba-param"
+
+\end_inset
+
+, použití LQ regulátoru odstraňuje některé nedostatky vektorového řízení
+ založeného na PI regulátorech, především v nízkých otáčkách.
+ Bylo by tedy možno očekávat jisté zlepšení na profilech nulové otáčky a
+ dále při průchodech nulou.
+ Výsledky simulací však na příliš velké zlepšení neukazují.
+ 
+\end_layout
+
+\begin_layout Standard
+Hodnoty průměrné kvadratické chyby jsou zachyceny na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:bikriterialni-bar-ztraty"
+
+\end_inset
+
+ b).
+ Při použití základní i časově posunuté verze bikriteriální metody je sice
+ udržován dobrý odhad polohy 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+, ale je způsobováno značné rušení při dosahování požadavku na otáčky a
+ výsledné řízení je nedostačující.
+ Lepší výsledky byly získány přidáváním konstanty k řízení v ose
+\begin_inset Formula $d$
+\end_inset
+
+, avšak stále se nejedná o použitelný algoritmus.
+ Nejlepších výsledků pak bylo dosaženo s verzí bikriteriální metody využívající
+ pěti rozšířených Kalmanových filtrů.
+ Ta byla vyhodnocena jako nejlepší ze všech testovaných verzí, a to i ve
+ srovnání s předchozími verzemi, založenými na vektorovém řízení s PI regulátory.
 \end_layout
 
@@ -12556,14 +12826,117 @@
 \end_layout
 
-\begin_layout Itemize
-redukovaný model
-\end_layout
-
-\begin_layout Itemize
-plný model
+\begin_layout Standard
+Další možností pro nalezení vhodného řízení PMSM jsou algrotimy založené
+ na využití myšlenky hyperstavu.
+ V části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Hyperstav-odvoz-pro-pmsm"
+
+\end_inset
+
+ byly popsány dva, jeden využívající redukovaný model stroje a druhý založený
+ na modelu plném.
+ Kvalita jimi poskytovaného řízení byla opět experimentálně ověřena pomocí
+ simulátoru PMSM.
+ Srovnání bylo provedeno především na základě dosažených průměrných kvadratickýc
+h chyb na jeden časový krok a tyto hodnoty jsou zaznamenány v grafu na obrázku
+ 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:hyperstav-bar-ztraty"
+
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Standard
+Algoritmus s hyperstavem pro redukovaný model vychází ze vzájemného porovnání
+ znatelně hůře.
+ V nízkých otáčkách je jeho problémem neaktivita, podobně jako u vektorového
+ řízení založeného na PI regulátorech.
+ Ve vyšších otáčkách je pak špatná kvalita poskytovaného řízení způsobována
+ nevhodnými řídícími zásahy, kdy dochází k rozkmitání.
+ Pravděpodobnou příčinou špatné funkčnosti této verze hyperstavu je problematick
+ý návrh LQ regulátoru na redukovaném modelu, viz odstavec 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQ-řízení-pro-red-model"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+V případě hyperstavu pro plný model jsou výsledky výrazně lepší, výpočetní
+ náročnost je však znatelně vyšší.
+ Porovnání této verze hyperstavu s ostatními algoritmy následuje v textu.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Graphics
+	filename obrazky/hypers.eps
+	scale 60
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Hodnoty průměrné kvadratické chyby algoritmu využívajícího hyperstav pro
+ plný a redukovaný model PMSM.
+ V grafech označuje 
+\begin_inset Formula $\delta$
+\end_inset
+
+ průměrnou kvadratickou chybu.
+ Referenční profily otáček jsou následující: 1 -- nulový; 2 -- nízké otáčky
+ trojúhelníky; 3 -- nízké otáčky lichoběžníky; 4 -- průchody nulou trojúhelníky;
+ 5 -- průchody nulou lichoběžníky; 6 -- vysoké otáčky trojúhelníky; 7 --
+ vysoké otáčky lichoběžníky.
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:hyperstav-bar-ztraty"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
 \begin_layout Section
 Aposteriorní Cramer-Raovy meze
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Aposteriorni-Cramer-Raovy-meze"
+
+\end_inset
+
+
 \end_layout
 
@@ -13384,19 +13757,449 @@
 
 \begin_layout Section
-Simulační studie
+Simulační porovnání algoritmů
+\end_layout
+
+\begin_layout Standard
+V předchozích částech byly popsány jednotlivé zkoumané algoritmy pro řešení
+ úlohy řízení synchronního stroje s permanentními magnety.
+ Pozornost byla věnována především popisu základních vlastností jednotlivých
+ přístupů a dále vzájemnému porovnání jednotlivých verzí téže metody.
+ Následující část textu bude věnována vzájemnému porovnání jednotlivých
+ metod.
+ Porovnání z hlediska vlivu konkrétních algoritmů na pozorovatelnost systému
+ již bylo provedeno v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Aposteriorni-Cramer-Raovy-meze"
+
+\end_inset
+
+ týkající se aposteriorních Cramer-Raových mezí, zde bude věnována pozornost
+ spíše celkové kvalitě poskytnutého řízení.
+\end_layout
+
+\begin_layout Standard
+Porovnávány budou pouze vybrané algoritmy.
+ Konkrétně se jedná o vektorové PI řízení a vektorové řízení s LQ regulátorem,
+ které využívají jako pozorovatele rozšířený Kalmanův filtr.
+ Dále bude zahrnut jednoduchý injektážní návrh jako zástupce klasických
+ postupů řešení bezsenzorového řízení PMSM.
+ Z duálních algoritmů pak bude uvažován algoritmus založený na hyperstavu
+ a verze bikriteriální metody založená na vektorovém LQ řízení, která vybírá
+ budící zásah na základě výpočtu 5 EKF.
 \end_layout
 
 \begin_layout Subsection
-Rozjezd
-\end_layout
-
-\begin_layout Standard
-ukázat na obrázcích charakteristické rysy, v tabulkách průměrné chyby pro
- různé počáteční úhly (MC), histogram kolikrát se dopustil příliš velké
- chyby nebo se roztočil na opačnou stranu
+Rozjezd stroje
+\end_layout
+
+\begin_layout Standard
+Nejprve bude věnována pozornost chování jednotlivých algoritmů při rozjezdu
+ stroje.
+ Hlavní komplikací v tomto případě je obecně neznalost počátečního úhlu
+ natočení rotoru 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+ Právě špatný počáteční odhad polohy může způsobit značné chyby v plnění
+ požadavků řízení a je tedy snahou tento negativní vliv omezit.
+ Zde lze očekávat pozitivní vliv duálních metod, které se namísto řízení
+ se špatným odhadem snaží i tento odhad zlepšit.
+\end_layout
+
+\begin_layout Standard
+Nejsou-li o počátečním stavu stroje dostupné žádné další informace, lze
+ rotor očekávat libovolně natočený, což odpovídá předpokladu, že počáteční
+ úhel 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+ je náhodnou veličinou s rovnoměrným rozdělením na intervalu 
+\begin_inset Formula $\left\langle -\pi,\pi\right\rangle $
+\end_inset
+
+.
+ Zde však dochází k problému s již zmiňovanou symetrií rovnic stroje na
+ substituci 
+\begin_inset Formula $\left(\omega,\vartheta\right)\longleftrightarrow\left(-\omega,\vartheta+\pi\right)$
+\end_inset
+
+.
+ Realizaci jedné nebo druhé varianty není možno okamžitě poznat z modelu
+ stroje a jejich rozpoznání je třeba řešit jinak.
+ Jednou možností je užití metod popsaných v odstavci 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Detekce-počáteční-polohy"
+
+\end_inset
+
+.
+ Dalším způsobem, jak toto rozpoznání provést, je sledovat běh stroje po
+ delší časový úsek.
+ Když se totiž skutečný stroj otáčí na druhou stranu než předpokládá jeho
+ model, dodávané řídící zásahy na základě modelu přestanou odpovídat skutečnému
+ stroji a z této neshody mezi strojem a modelem již lze poznat, že došlo
+ ke špatnému odhadu.
+ Problémem zmiňovaného přístupu je však právě delší časový okamžik nezbytný
+ k detekci této chyby.
+ 
+\end_layout
+
+\begin_layout Standard
+Z důvodů zmiňovaných komplikací bude tedy dále v textu předpokládán počáteční
+ úhel natočení pouze v intervalu 
+\begin_inset Formula $\left\langle -\frac{\pi}{2},\frac{\pi}{2}\right\rangle $
+\end_inset
+
+ a případné rozjezdy na opačnou stranu, tedy realizaci verze 
+\begin_inset Formula $\left(-\omega,\vartheta+\pi\right)$
+\end_inset
+
+ namísto 
+\begin_inset Formula $\left(\omega,\vartheta\right)$
+\end_inset
+
+, budou detekovány a ze vzájemného porovnání jednotlivých algoritmů vyřazeny.
+ Vhodné zvládnutí detekce, ke které realizaci symetrických verzí došlo tedy
+ zůstává nevyřešena a je vhodna k dalšímu výzkumu.
+\end_layout
+
+\begin_layout Standard
+Konkrétní porovnání jednotlivých algoritmů pak probíhalo na 
+\emph on
+trojúhelníkovém
+\emph default
+ profilu 
+\emph on
+průchody nulou
+\emph default
+ v časovém horizontu 
+\begin_inset Formula $1s$
+\end_inset
+
+.
+ Důvodem pro volbu tohoto profilu bylo, že profily s nižšími otáčkami způsobují
+ značné komplikace některým algoritmům, zejména založeným na PI regulátorech
+ a ve vyšších otáčkách je již odhad úhlu příliš usnadněn vyšší rychlostí
+ a tedy větší zpětnou elektromotorickou silou.
+ Počáteční poloha 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+ byla volena náhodně z intervalu 
+\begin_inset Formula $\left\langle -\frac{\pi}{2},\frac{\pi}{2}\right\rangle $
+\end_inset
+
+ a simulace byly prováděny opakovaně.
+ Použito bylo vždy 
+\begin_inset Formula $100$
+\end_inset
+
+ opakování, do grafů chyb odhadů (obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:pocatecni-rozjezdy"
+
+\end_inset
+
+) však bylo pro přehlednost uvažováno méně vzorků.
+\end_layout
+
+\begin_layout Standard
+Jednotlivé porovnávané algoritmy byly porovnávány na základě průměrné kvadratick
+é chyby (průměrná na jeden časový krok i pro jednotlivé realizace počáteční
+ polohy 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+), tedy z hlediska, jak dobře zvládne stroj regulovaný daným algoritmem
+ sledovat referenční signál.
+ Toto porovnání je pro jednotlivé algoritmy zobrazeno na grafu 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:pocatecni-rozjezdy"
+
+\end_inset
+
+ a).
+ A zřejmě se na něm ukazuje přínos duálních metod při zvládnutí neznámé
+ počáteční polohy.
+ 
+\end_layout
+
+\begin_layout Standard
+Dalším zkoumaným hlediskem je schopnost jednotlivých algoritmů nalézt správnou
+ polohu stroje 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+ Vývoj chyby odhadu polohy 
+\begin_inset Formula $\vartheta-\hat{\vartheta}$
+\end_inset
+
+ v čase pro jednotlivé algoritmy a různé počáteční hodnoty úhlu natočení
+ 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+ ze zachycen na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:pocatecni-rozjezdy"
+
+\end_inset
+
+ b)-f).
+ Relativně dobrá schopnost nalézt správný odhad polohy i u neduálních metod
+ je dána především tím, že jako pozorovatele užívají rozšířený Kalmanův
+ filtr a že s růstem otáček se zvyšuje pozorovatelnost systému.
+ Celkově je ale možné pozorovat lepší výsledku u duálních metod, konkrétně
+ u bikriteriální metody a algoritmu s hyperstavem.
+\end_layout
+
+\begin_layout Standard
+Ještě je vhodné poukázat na špatné chování vektorového řízení založeného
+ na PI regulátorech.
+ Problém se týká nízkých požadovaných otáček, kdy regulátor v jistém smyslu
+ 
+\begin_inset Quotes gld
+\end_inset
+
+nic nedělá
+\begin_inset Quotes grd
+\end_inset
+
+.
+ V důsledku toho pak dosahuje relativně vyšší průměrné kvadratické chyby,
+ ale tento jev lze také pozorovat na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:pocatecni-rozjezdy"
+
+\end_inset
+
+ b) na počátku běhu systému.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="6" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/rozjezd/chybabar.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/rozjezd/pi3.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) průměrná kvadratická chyba
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) vektorové PI řízení
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/rozjezd/lq3.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/rozjezd/inok3.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+c) vektorové LQ řízení
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+d) využití injektáží
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/rozjezd/bk3.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/rozjezd/hs3.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+e) bikriteriální metoda
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+f) algoritmus využívající hyperstav
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Vliv počáteční polohy na rozjezd stroje při užítí různých algoritmů.
+ a) přechled dosažených průměrných kvadratických chyb (
+\begin_inset Formula $\delta$
+\end_inset
+
+) pro jednotlivé algoritmy 1 až 5; dále je zobrazena chyba odhadu polohy
+ 
+\begin_inset Formula $\vartheta-\hat{\vartheta}$
+\end_inset
+
+ pro: b) PI řízení (algoritmus 1), c) vektorové LQ řízení (algoritmus 2),
+ d) jednoduchý injektážní návrh (algoritmus 3), e) bikriteriální metodu
+ (algoritmus 4), f) algoritmus založený na hyperstavu (algoritmus 5).
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:pocatecni-rozjezdy"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
 \begin_layout Subsection
-Šum v nule
+Odhad v nule
 \end_layout
 
@@ -13445,4 +14248,8 @@
 \begin_layout Section
 Diskuze výsledků
+\end_layout
+
+\begin_layout Chapter*
+Závěr
 \end_layout
 