Index: /applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- /applications/dual/vahala/DP/prac_verz.lyx (revision 1457)
+++ /applications/dual/vahala/DP/prac_verz.lyx (revision 1458)
@@ -390,5 +390,15 @@
 
 \begin_layout Standard
-aaa 
+Především bych chtěl poděkovat vedoucímu práce Ing.
+ Václavu Šmídlovi, Ph.
+\begin_inset space \thinspace{}
+\end_inset
+
+D.
+ za odborné vedení, hodnotné rady a připomínky.
+ Dále patří poděkování přítelkyni Bc.
+ Pavle Procházkové za pečlivé přečtení textu a pomocí s opravou gramatických
+ chyb.
+ 
 \begin_inset VSpace defskip
 \end_inset
@@ -539,5 +549,15 @@
 \series default
 \emph default
- 
+ Diplomová práce je zaměřena na řízení synchronního motoru s permanentními
+ magnety v takzvaném bezsenzorovém návrhu.
+ Důraz je kladen na možnost využití metod duálního řízení.
+ Pozornost je věnována samotnému synchronnímu stroji, jeho matematickému
+ popisu a běžně využívaným technikám pro odhadování stavových veličin a
+ řízení v bezsenzorovém režimu.
+ Dále se text zabývá teoretickou stránkou řízení s důrazem na řízení duální.
+ Následuje aplikace vybraných algoritmů na synchronní stroj a provedení
+ simulací.
+ Hlavním záměrem je porovnání kvality poskytovaného řízení při použití duálních
+ a neduálních algoritmů.
 \end_layout
 
@@ -593,4 +613,17 @@
 \emph default
  
+\series default
+\lang english
+The Diploma thesis is focused on a permanent magnet synchronous motor control
+ in so called sensorless design.
+ Possibility of dual control methods utilization is stressed.
+ Attentions is paid to the synchronous machine itself, its mathematical
+ description and commonly used algorithms for estimation and control in
+ sensorless mode.
+ Next, the text is concerned with theoretical aspects of control, where
+ dual control is emphasized.
+ Application of selected algorithms and simulations follow.
+ Main intention lies in quality comparison of dual and nondual control algorithm
+s.
 \end_layout
 
@@ -679,12 +712,12 @@
 
 \begin_layout Standard
-Synchronní motory, a to především ty osazené permanentními magnety, jsou
- v poslední době stále více oblíbené pro řadu praktických aplikací.
- Hlavním nedostatkem pro jejich využití ale je, že za účelem jejich dobrého
- řízení je nutná znalost polohy hřídele.
- Tento problém byl zatím řešen převážně instalací mechanických senzorů,
+Synchronní motory, a především ty osazené permanentními magnety, jsou v
+ poslední době stále více oblíbené pro řadu praktických aplikací.
+ Hlavním nedostatkem jejich využití ale je nutná znalost polohy hřídele
+ za účelem dobrého řízení.
+ Tento problém byl doposud řešen převážně instalací mechanických senzorů,
  které však zvyšují rozměry, poruchovost, ale především cenu celého zařízení.
  Je tedy přirozené, že se objevily snahy o nalezení efektivního způsobu
- řízení bez potřeby těchto čidel.
+ řízení bez potřeby takových senzorů -- tedy bezsenzorové řízení.
 \end_layout
 
@@ -731,12 +764,16 @@
 V textu bude nejdříve obecně popsán synchronní motor s permanentními magnety,
  jeho matematický model a běžně užívané techniky pro řízení a odhadování
- neměřených veličin.
+ neměřených veličin v bezsenzorovém režimu.
  Následovat bude kapitola týkající se teorie duálního řízení a výběr jednoduchýc
 h suboptimálních metod pro řešení tohoto problému.
- Další kapitola pak bude věnována spojení předchozích dvou, tedy aplikaci
- duálního řízení na synchronní stroj.
- Na závěr pak budou zařazeny experimenty, především teoretická analýza jednotliv
-ých užitých algoritmů a výsledky simulací.
- Nedílnou součástí bude i shrnutí dosažených výsledků.
+ Další kapitola pak bude věnována spojení předchozích dvou, tedy především
+ aplikaci duálního řízení na synchronní stroj.
+ Na závěr pak budou zařazeny experimenty, teoretická analýza jednotlivých
+ užitých algoritmů a výsledky simulací.
+ Nedílnou součástí bude i diskuze a shrnutí dosažených výsledků.
+\end_layout
+
+\begin_layout Standard
+
 \end_layout
 
@@ -2975,9 +3012,9 @@
 
 :
-\end_layout
-
-\begin_layout Standard
-
 \series bold
+
+\begin_inset Newline newline
+\end_inset
+
 Nepřesnost rovnic popisujících reálný stroj:
 \end_layout
@@ -12312,5 +12349,5 @@
 wide false
 sideways false
-status open
+status collapsed
 
 \begin_layout Plain Layout