Index: /applications/dual/vahala/DP/obrazky/prubeh/bar_pruchod.eps
===================================================================
--- /applications/dual/vahala/DP/obrazky/prubeh/bar_pruchod.eps (revision 1453)
+++ /applications/dual/vahala/DP/obrazky/prubeh/bar_pruchod.eps (revision 1459)
@@ -2,10 +2,10 @@
 %%Creator: MATLAB, The MathWorks, Inc. Version 7.13.0.564 (R2011b). Operating System: Microsoft Windows 7.
 %%Title: C:\Users\michal\source\DPtext\obrazky\prubeh\bar_pruchod.eps
-%%CreationDate: 04/19/2012  22:02:54
+%%CreationDate: 05/01/2012  19:34:41
 %%DocumentNeededFonts: Helvetica
 %%DocumentProcessColors: Cyan Magenta Yellow Black
 %%LanguageLevel: 2
 %%Pages: 1
-%%BoundingBox:   102   278   492   564
+%%BoundingBox:   101   277   493   563
 %%EndComments
 
@@ -170,5 +170,5 @@
 %%Page: 1 1
 %%BeginPageSetup
-%%PageBoundingBox:   102   278   492   564
+%%PageBoundingBox:   101   277   493   563
 MathWorks begin
 bpage
@@ -179,7 +179,7 @@
 
 /dpi2point 12 def
-portraitMode 1224 6768 csm
-
-    0     0  4684  3431 rc
+portraitMode 1212 6756 csm
+
+    0     0  4711  3422 rc
 86 dict begin %Colortable dictionary
 /c0 { 0.000000 0.000000 0.000000 sr} bdef
@@ -194,9 +194,9 @@
 1 j
 1 sg
-   0    0 4685 3432 rf
+   0    0 4712 3423 rf
 6 w
-0 2797 3630 0 0 -2797 609 3054 4 MP
-PP
--3630 0 0 2797 3630 0 0 -2797 609 3054 5 MP stroke
+0 2790 3651 0 0 -2790 612 3046 4 MP
+PP
+-3651 0 0 2790 3651 0 0 -2790 612 3046 5 MP stroke
 4 w
 DO
@@ -204,115 +204,115 @@
 6 w
 0 sg
- 609  257 mt 4239  257 L
- 609 3054 mt 4239 3054 L
-4239 3054 mt 4239  257 L
- 609 3054 mt  609  257 L
- 609 3054 mt 4239 3054 L
- 609 3054 mt  609  257 L
-1214 3054 mt 1214 3017 L
-1214  257 mt 1214  293 L
+ 612  256 mt 4263  256 L
+ 612 3046 mt 4263 3046 L
+4263 3046 mt 4263  256 L
+ 612 3046 mt  612  256 L
+ 612 3046 mt 4263 3046 L
+ 612 3046 mt  612  256 L
+1220 3046 mt 1220 3009 L
+1220  257 mt 1220  293 L
 %%IncludeResource: font Helvetica
 /Helvetica /WindowsLatin1Encoding 120 FMSR
 
-1181 3199 mt 
+1187 3191 mt 
 (1) s
-1819 3054 mt 1819 3017 L
-1819  257 mt 1819  293 L
-1786 3199 mt 
+1829 3046 mt 1829 3009 L
+1829  257 mt 1829  293 L
+1796 3191 mt 
 (2) s
-2424 3054 mt 2424 3017 L
-2424  257 mt 2424  293 L
-2391 3199 mt 
+2437 3046 mt 2437 3009 L
+2437  257 mt 2437  293 L
+2404 3191 mt 
 (3) s
-3029 3054 mt 3029 3017 L
-3029  257 mt 3029  293 L
-2996 3199 mt 
+3046 3046 mt 3046 3009 L
+3046  257 mt 3046  293 L
+3013 3191 mt 
 (4) s
-3634 3054 mt 3634 3017 L
-3634  257 mt 3634  293 L
-3601 3199 mt 
+3654 3046 mt 3654 3009 L
+3654  257 mt 3654  293 L
+3621 3191 mt 
 (5) s
- 609 3054 mt  645 3054 L
-4239 3054 mt 4202 3054 L
- 508 3098 mt 
+ 612 3046 mt  648 3046 L
+4263 3046 mt 4226 3046 L
+ 511 3090 mt 
 (0) s
- 609 2494 mt  645 2494 L
-4239 2494 mt 4202 2494 L
- 408 2538 mt 
+ 612 2488 mt  648 2488 L
+4263 2488 mt 4226 2488 L
+ 411 2532 mt 
 (0.5) s
- 609 1935 mt  645 1935 L
-4239 1935 mt 4202 1935 L
- 508 1979 mt 
+ 612 1930 mt  648 1930 L
+4263 1930 mt 4226 1930 L
+ 511 1974 mt 
 (1) s
- 609 1375 mt  645 1375 L
-4239 1375 mt 4202 1375 L
- 408 1419 mt 
+ 612 1372 mt  648 1372 L
+4263 1372 mt 4226 1372 L
+ 411 1416 mt 
 (1.5) s
- 609  816 mt  645  816 L
-4239  816 mt 4202  816 L
- 508  860 mt 
+ 612  814 mt  648  814 L
+4263  814 mt 4226  814 L
+ 511  858 mt 
 (2) s
- 609  257 mt  645  257 L
-4239  257 mt 4202  257 L
- 408  301 mt 
+ 612  257 mt  648  257 L
+4263  257 mt 4226  257 L
+ 411  301 mt 
 (2.5) s
- 609  257 mt 4239  257 L
- 609 3054 mt 4239 3054 L
-4239 3054 mt 4239  257 L
- 609 3054 mt  609  257 L
-gs 609 257 3631 2798 rc
+ 612  256 mt 4263  256 L
+ 612 3046 mt 4263 3046 L
+4263 3046 mt 4263  256 L
+ 612 3046 mt  612  256 L
+gs 612 257 3652 2790 rc
 /c8 { 0.000000 0.000000 1.000000 sr} bdef
 c8
-0 2653 138 0 0 -2653 1058 3054 4 MP
-PP
-0 sg
--138 0 0 2653 138 0 0 -2653 1058 3054 5 MP stroke
-c8
-0 656 138 0 0 -656 1663 3054 4 MP
-PP
-0 sg
--138 0 0 656 138 0 0 -656 1663 3054 5 MP stroke
-c8
-0 60 138 0 0 -60 2268 3054 4 MP
-PP
-0 sg
--138 0 0 60 138 0 0 -60 2268 3054 5 MP stroke
-c8
-0 544 138 0 0 -544 2873 3054 4 MP
-PP
-0 sg
--138 0 0 544 138 0 0 -544 2873 3054 5 MP stroke
-c8
-0 467 138 0 0 -467 3478 3054 4 MP
-PP
-0 sg
--138 0 0 467 138 0 0 -467 3478 3054 5 MP stroke
-3630 0 609 3054 2 MP stroke
+0 2645 139 0 0 -2645 1064 3046 4 MP
+PP
+0 sg
+-139 0 0 2645 139 0 0 -2645 1064 3046 5 MP stroke
+c8
+0 654 139 0 0 -654 1672 3046 4 MP
+PP
+0 sg
+-139 0 0 654 139 0 0 -654 1672 3046 5 MP stroke
+c8
+0 60 139 0 0 -60 2281 3046 4 MP
+PP
+0 sg
+-139 0 0 60 139 0 0 -60 2281 3046 5 MP stroke
+c8
+0 543 139 0 0 -543 2889 3046 4 MP
+PP
+0 sg
+-139 0 0 543 139 0 0 -543 2889 3046 5 MP stroke
+c8
+0 465 139 0 0 -465 3498 3046 4 MP
+PP
+0 sg
+-139 0 0 465 139 0 0 -465 3498 3046 5 MP stroke
+3651 0 612 3046 2 MP stroke
 /c9 { 0.000000 0.498039 0.000000 sr} bdef
 c9
-0 1743 138 0 0 -1743 1231 3054 4 MP
-PP
-0 sg
--138 0 0 1743 138 0 0 -1743 1231 3054 5 MP stroke
-c9
-0 241 138 0 0 -241 1836 3054 4 MP
-PP
-0 sg
--138 0 0 241 138 0 0 -241 1836 3054 5 MP stroke
-c9
-0 23 138 0 0 -23 2441 3054 4 MP
-PP
-0 sg
--138 0 0 23 138 0 0 -23 2441 3054 5 MP stroke
-c9
-0 193 138 0 0 -193 3046 3054 4 MP
-PP
-0 sg
--138 0 0 193 138 0 0 -193 3046 3054 5 MP stroke
-c9
-0 163 138 0 0 -163 3651 3054 4 MP
-PP
-0 sg
--138 0 0 163 138 0 0 -163 3651 3054 5 MP stroke
+0 1738 139 0 0 -1738 1237 3046 4 MP
+PP
+0 sg
+-139 0 0 1738 139 0 0 -1738 1237 3046 5 MP stroke
+c9
+0 240 139 0 0 -240 1846 3046 4 MP
+PP
+0 sg
+-139 0 0 240 139 0 0 -240 1846 3046 5 MP stroke
+c9
+0 23 139 0 0 -23 2454 3046 4 MP
+PP
+0 sg
+-139 0 0 23 139 0 0 -23 2454 3046 5 MP stroke
+c9
+0 193 139 0 0 -193 3063 3046 4 MP
+PP
+0 sg
+-139 0 0 193 139 0 0 -193 3063 3046 5 MP stroke
+c9
+0 163 139 0 0 -163 3671 3046 4 MP
+PP
+0 sg
+-139 0 0 163 139 0 0 -163 3671 3046 5 MP stroke
 gr
 
@@ -320,10 +320,10 @@
 /Helvetica /WindowsLatin1Encoding 168 FMSR
 
-1746 3377 mt 
+1759 3369 mt 
 (pouzity algoritmus) s
 %%IncludeResource: font Symbol
 /Symbol /WindowsLatin1Encoding 168 FMSR
 
- 304 1697 mt  -90 rotate
+ 307 1693 mt  -90 rotate
 (d) s
 90 rotate
@@ -331,12 +331,12 @@
 /Helvetica /WindowsLatin1Encoding 120 FMSR
 
- 592 3097 mt 
+ 595 3089 mt 
 ( ) s
-4223  299 mt 
+4247  299 mt 
 ( ) s
 1 sg
-0 444 1461 0 0 -444 2719 761 4 MP
-PP
--1461 0 0 444 1461 0 0 -444 2719 761 5 MP stroke
+0 444 1355 0 0 -444 2849 761 4 MP
+PP
+-1355 0 0 444 1355 0 0 -444 2849 761 5 MP stroke
 4 w
 DO
@@ -344,35 +344,35 @@
 6 w
 0 sg
-2719  317 mt 4180  317 L
-2719  761 mt 4180  761 L
-4180  761 mt 4180  317 L
-2719  761 mt 2719  317 L
-2719  761 mt 4180  761 L
-2719  761 mt 2719  317 L
-2719  317 mt 4180  317 L
-2719  761 mt 4180  761 L
-4180  761 mt 4180  317 L
-2719  761 mt 2719  317 L
+2849  317 mt 4204  317 L
+2849  761 mt 4204  761 L
+4204  761 mt 4204  317 L
+2849  761 mt 2849  317 L
+2849  761 mt 4204  761 L
+2849  761 mt 2849  317 L
+2849  317 mt 4204  317 L
+2849  761 mt 4204  761 L
+4204  761 mt 4204  317 L
+2849  761 mt 2849  317 L
 %%IncludeResource: font Helvetica
 /Helvetica /WindowsLatin1Encoding 168 FMSR
 
-3180  498 mt 
-(pruchod troj.) s
-gs 2719 317 1462 445 rc
-c8
--355 0 0 152 355 0 0 -152 2789 513 5 MP
-PP
-0 sg
-0 0 -355 0 0 152 355 0 0 -152 2789 513 6 MP stroke
+3310  498 mt 
+(stredni troj.) s
+gs 2849 317 1356 445 rc
+c8
+-355 0 0 152 355 0 0 -152 2919 513 5 MP
+PP
+0 sg
+0 0 -355 0 0 152 355 0 0 -152 2919 513 6 MP stroke
 gr
 
-3180  701 mt 
-(pruchod lich.) s
-gs 2719 317 1462 445 rc
-c9
--355 0 0 152 355 0 0 -152 2789 716 5 MP
-PP
-0 sg
-0 0 -355 0 0 152 355 0 0 -152 2789 716 6 MP stroke
+3310  701 mt 
+(stredni lich.) s
+gs 2849 317 1356 445 rc
+c9
+-355 0 0 152 355 0 0 -152 2919 716 5 MP
+PP
+0 sg
+0 0 -355 0 0 152 355 0 0 -152 2919 716 6 MP stroke
 gr
 
Index: /applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- /applications/dual/vahala/DP/prac_verz.lyx (revision 1458)
+++ /applications/dual/vahala/DP/prac_verz.lyx (revision 1459)
@@ -714,6 +714,6 @@
 Synchronní motory, a především ty osazené permanentními magnety, jsou v
  poslední době stále více oblíbené pro řadu praktických aplikací.
- Hlavním nedostatkem jejich využití ale je nutná znalost polohy hřídele
- za účelem dobrého řízení.
+ Hlavním nedostatkem jejich využití je nutná znalost polohy hřídele za účelem
+ dobrého řízení.
  Tento problém byl doposud řešen převážně instalací mechanických senzorů,
  které však zvyšují rozměry, poruchovost, ale především cenu celého zařízení.
@@ -3763,5 +3763,5 @@
  osy, to způsobí změnu v otáčkách indikující chybu odhadu a z ní je pak
  možné odhadnout polohu.
- Metoda je založeno na jiném principu než vysokofrekvenční injektáže a výstupky
+ Metoda je založena na jiném principu než vysokofrekvenční injektáže a výstupky
  již nejsou nutnou podmínkou pro její funkčnost.
  Použitelnost tohoto přístupu závisí na momentu setrvačnosti stroje a pro
@@ -3834,5 +3834,5 @@
 
 \begin_layout Subsubsection
-Vysokofrekvenční (HF) testovací signál 
+Vysokofrekvenční testovací signál 
 \end_layout
 
@@ -5698,7 +5698,7 @@
  Z tohoto pohledu přístup CE předpokládá, že skutečná hodnota je rovna střední
  hodnotě.
- Duální řízení na rozdíl od postupů založených na CE principu uvažuje kromě
- odhadu stavové veličiny i to, jak je tento odhad přesný a tomu také přizpůsobuj
-e řídící zákroky.
+ Duální řízení tedy na rozdíl od postupů založených na CE principu uvažuje
+ kromě odhadu stavové veličiny i to, jak je tento odhad přesný a tomu také
+ přizpůsobuje řídící zákroky.
  
 \end_layout
@@ -6001,5 +6001,5 @@
 \begin_inset Formula 
 \[
-J_{t}\left(I_{t},\rho_{t}\right)=\mathrm{\mathbf{E}}_{\rho_{t}}\left\{ \sum_{i=t}^{T-1}g_{t+1}\left(x_{i+1},u_{i}\right)\mid I_{k}\right\} .
+J_{t}\left(I_{t},\rho_{t}\right)=\mathrm{\mathbf{E}}_{\rho_{t}}\left\{ \sum_{i=t}^{T-1}g_{t+1}\left(x_{i+1},u_{i}\right)\mid I_{t}\right\} .
 \]
 
@@ -7263,5 +7263,5 @@
  Následovat bude popis algoritmu využívajícího hyperstav, který vychází
  právě z EKF a LQ regulátoru.
- Na závěr této kapitoly bude ještě popsána vybraná verze bikriteriální metody
+ Na závěr této kapitoly bude ještě popsány vybrané verze bikriteriální metody
  a návrh založený na využití injektáží.
 \end_layout
@@ -8624,5 +8624,5 @@
 \end_inset
 
- pozitivně semidefinitní a do rovnice 
+ jako pozitivně semidefinitní a do rovnice 
 \begin_inset CommandInset ref
 LatexCommand ref
@@ -9251,5 +9251,5 @@
 \end_inset
 
- pak položíme rovnou první , lineární, části systému
+ pak položíme rovnou první, lineární, části systému
 \begin_inset Formula 
 \[
@@ -9510,6 +9510,6 @@
  To přináší značnou výhodu, protože by bylo možno celý algoritmus LQ regulátoru
  předpočítat a následný výpočet řídícího zásahu značně usnadnit.
- Možno zanedbání zmiňovaných členů zanedbat a jeho důsledky byly ponechány
- k experimentálnímu ověření.
+ Možnost zanedbání zmiňovaných členů a jeho důsledky byly ponechány k experiment
+álnímu ověření.
  Matice systému v tomto případě jsou:
 \begin_inset Formula 
@@ -11103,5 +11103,5 @@
 \end_inset
 
-, naprostá většina provedených simulací v tomto textu je tohoto typu.
+, naprostá většina provedených simulací v textu je tohoto typu.
 \end_layout
 
@@ -11700,7 +11700,7 @@
  Toto kritérium v podstatě vystihuje míru shody mezi zadanými požadavky
  v podobě referenčního signálu a jejich skutečným naplněním.
- Výpočet součtu těchto kvadrátů odchylek však není vhodné přímo užít, protože
- je závislý na délce časového horizontu.
- Dále v textu tedy bude uvažováno normované verze takového součtu, která
+ Porovnání součtu těchto kvadrátů odchylek však není vhodné přímo užít,
+ protože jsou závislé na délce časového horizontu.
+ Dále v textu tedy bude uvažována normované verze takového součtu, která
  odpovídá střední kvadratické chybě za jeden časový krok.
 \end_layout
@@ -12084,5 +12084,5 @@
 
 , se kterými bylo dosaženo nejlepších výsledků ve smyslu minimální střední
- chyby, jsou v souřadné soustavě 
+ kvadratické chyby, jsou v souřadné soustavě 
 \begin_inset Formula $d-q$
 \end_inset
@@ -13614,5 +13614,5 @@
  Jak již bylo zmíněno, nalezení opatrného řízení je v případě PMSM problematické
  a proto je místo něj užito standardní vektorového řízení.
- Je uvažováno vektorové řízení založené na PI regulátorech i na LQ návrhu.
+ Je uvažováno vektorové řízení založené na PI regulátorech i na LQ regulátoru.
  Jednotlivé verze lišící se verzí bikriteriální metody a volbou řízení byly
  vzájemně porovnány především na základě dosažených středních kvadratických
@@ -14904,5 +14904,5 @@
 
 \begin_layout Standard
-Z důvodů zmiňovaných komplikací bude tedy dále v textu předpokládán počáteční
+Z důvodů těchto komplikací bude tedy dále v textu předpokládán počáteční
  úhel natočení pouze v intervalu 
 \begin_inset Formula $\left(-\frac{\pi}{2},\frac{\pi}{2}\right\rangle $
@@ -15616,5 +15616,5 @@
 Především lze opět pozorovat již zmiňovanou neaktivitu PI, kdy na profilu
  nízkých otáček s amplitudou 1 rad/s vůbec nedojde k roztočení stroje a
- v důsledku toho pak dohází k relativně větší střední kvadratické chybě.
+ v důsledku toho pak dochází k relativně větší střední kvadratické chybě.
  
 \end_layout
@@ -16964,5 +16964,5 @@
  v problematických režimech jako nízké otáčky a průchody nulovými otáčkami.
  Zatím se však stále nejedná o duální metodu.
- Lineárně kvadratická verze vektorového řízení pak dále sloužila jako výchozí
+ Lineárně kvadratická verze vektorového řízení pak sloužila jako výchozí
  pro tvorbu složitějších algoritmů.
 \end_layout
@@ -16973,5 +16973,5 @@
 h špatnou pozorovatelností polohy stroje.
  Právě zlepšení pozorovatelnosti za účelem poskytnutí lepšího řízení je
- oblastí, kde by se měly s výhodou projevit duální algoritmy.
+ oblastí, kde se s výhodou projevují duální algoritmy.
  
 \end_layout
@@ -16997,5 +16997,5 @@
 Následujícím testovaným duálním algoritmem bylo užití bikriteriální metody.
  Podstata tohoto přístupu spočívá ve stanovení dvou kriterií, pro opatrné
- řízení a optimální buzení, která jsou minimalizována zvlášť.
+ řízení a pro buzení, která jsou minimalizována zvlášť.
  Kvůli komplikacím s nalezením opatrného řízení bylo místo něj užito standardníh
 o vektorového řízení založeného buď na LQ nebo PI regulátorech.
@@ -17021,8 +17021,8 @@
  relativně velmi dobrých výsledků.
  Jednoduchý injektážní návrh sice poskytoval výsledky zpravidla lepší, avšak
- algoritmus s hyperstavem nevyžaduje žádné speciální vlastnosti stroje jako
- například anizotropie rotoru.
+ LQ regulátor s hyperstavem nevyžaduje žádné speciální vlastnosti stroje
+ jako například anizotropie rotoru.
  Nevýhodou užití hyperstavu je ale poměrně větší výpočetní náročnost, která
- zatím brání jeho efektivnímu nasazení na skutečném zařízení.
+ zatím brání jeho efektivnímu nasazení na skutečném motoru.
 \end_layout
 
@@ -17071,9 +17071,14 @@
 
 \begin_layout Standard
-V příloze jsou zařazeny složitější formální úpravy výrazů, které nejsou
- zařazeny v hlavní části textu především z důvodu jejich komplikovaného
- zápisu.
- Tyto výpočty byly prováděny především za pomoci symbolických výpočtů v
- programu Matlab (Symbolic Math Toolbox).
+V příloze jsou zařazeny složitější formální úpravy výrazů LQG algoritmu
+ pro různé indukčnosti v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+.
+ Ty nejsou přítomny v hlavní části textu především z důvodu jejich komplikovanéh
+o zápisu.
+ Úpravy byly prováděny zejména za pomoci symbolických výpočtů v programu
+ Matlab (Symbolic Math Toolbox).
 \end_layout
 
@@ -17145,4 +17150,8 @@
 
 
+\end_layout
+
+\begin_layout Subsubsection
+Diskrétní verze rovnic
 \end_layout
 